<?php
include_once '../../../include/cp_header.php';
include './header.php';

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('changesort', 2 * 60 * 60);
$TokenValid = $Token_handler->autoValidate('changesort');
if (!$TokenValid) {
	if ($op != '') {
		redirect_header(XOOPS_URL."/modules/amaxoop2/admin/index.php", 2, _AM_AMAXOOP2_TICKET_ERROR);
		exit();
	}
}

if ($op == 'ChangeSorting') {
	$sql = "SELECT cid, corder FROM ".$xoopsDB->prefix('amaxoop2_categories');
	$res = $xoopsDB->query($sql);
	while (list($cid, $corder) = $xoopsDB->fetchRow($res)) {
		if (isset($_POST['neworder'.$cid]) && ($_POST['neworder'.$cid] != $corder)) {
			$xoopsDB->queryF("UPDATE ".$xoopsDB->prefix('amaxoop2_categories').
					 " SET corder = ".intval($_POST['neworder'.$cid])." WHERE cid = $cid");
		}
	}
	redirect_header(XOOPS_URL."/modules/amaxoop2/admin/index.php", 2, _AM_AMAXOOP2_EDITCAT_EDITED);
	exit();
}

$CacheFiles = glob(XOOPS_CACHE_PATH.'/mod_amaxoop2_aws_*.xml');
if (is_array($CacheFiles) && (count($CacheFiles) > 0)) {
	foreach ($CacheFiles as $CacheFile) {
		clearstatcache();
		@unlink($CacheFile);
	}
}
clearstatcache();

$Items = array();
$AllItems = 0;
$sql = "SELECT cid, COUNT(lid) AS items FROM ".$xoopsDB->prefix('amaxoop2_items')." GROUP BY cid";
$res = $xoopsDB->query($sql);
while (list($cid, $count) = $xoopsDB->fetchRow($res)) {
	$Items[$cid] = $count;
	$AllItems += $count;
}

//	Display
xoops_cp_header();
if (!defined('XOOPS_CUBE_LEGACY')) {
include('./mymenu.php');
print	'<table width="100%"><tr><th>'._AM_AMAXOOP2_CHANGE_CSORT.'</th></tr></table>';
} else {
print '<div class="adminnavi">
      <a href="http://127.0.0.1/xoops_cl21/modules/amaxoop2/admin/index.php">Amaxoop2</a>
          &raquo;&raquo; <span class="adminnaviTitle">'._AM_AMAXOOP2_CHANGE_CSORT.'</span>
      </div>';
}

print	'<table width="100%"><tr><th>'._AM_AMAXOOP2_CHANGE_CSORT.'</th></tr></table>';

print	'<form action="./index.php" method="post" style="margin:0;">'.
	'<input type="hidden" name="op" value="ChangeSorting" />';
print	'<table width="100%"><tr class="head"><td align="right">cid</td><td>'._AM_AMAXOOP2_EDITCAT_TITLE.'</td><td>'._AM_AMAXOOP2_EDITCAT_ORDER.'</td><td>'._AM_AMAXOOP2_EDITCAT.'</td><td>'._AM_AMAXOOP2_ITEMS.'</td></tr>';
$sql = "SELECT cid, ctitle, corder FROM ".$xoopsDB->prefix('amaxoop2_categories')." ORDER BY corder";
$res = $xoopsDB->query($sql);
$s = ' class="even"';
while (list($cid, $ctitle, $corder) = $xoopsDB->fetchRow($res)) {
	print	'<tr'.$s.'>'.
		'<td align="right">'.$cid.'</td>'.
		'<td>'.$myts->htmlSpecialChars($ctitle).'</td>'.
		'<td><input type="text" name="neworder'.$cid.'" value="'.$corder.'" size="4" /></td>'.
		'<td><a href="./editcategory.php?cid='.$cid.'">'._AM_AMAXOOP2_EDITCAT.'</a></td>'.
		'<td align="right">'.(isset($Items[$cid]) ? $Items[$cid] : 0).'</a></td>'.
		'</tr>';
	$s = (($s == ' class="even"') ? ' class="odd"' : ' class="even"');
}
print	'<tr><td colspan="2"></td><td><input type="submit" value="'._SUBMIT.'" />'.$Ticket->getHtml().'</td><td></td><td align="right">'.$AllItems.'</td>';
print	'</table>';
print	'</form>';

xoops_cp_footer();
?>