<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

function amaxoop2_show_archive ($options) {
	global $xoopsDB;
	$limit = (isset($options[0]) ? intval($options[0]) : 12);
	if ($limit == 0) { $limit = 12; }
	$yyyymm = '';
	$block = array();
	$caldate= (isset($_POST['caldate']) ? $_POST['caldate'] : (isset($_GET['caldate']) ? $_GET['caldate'] : ''));
	if ($caldate != '') {
		if (preg_match('/^([\d]{4})[\D]*([\d]{1,2})[\D]*([\d]*)$/', $caldate , $m)) {
			$yyyymm = $m[1].'-'.((strlen($m[2]) == 1) ? '0'.$m[2] : $m[2]);
		}
	}
	if ($yyyymm == '') {
		$sql =	"SELECT YYYYMM, COUNT(lid) AS CNT FROM ".$xoopsDB->prefix('amaxoop2_items').
			" WHERE Status = 1 GROUP BY YYYYMM ORDER BY YYYYMM DESC";
	} else {
		$sql =	"SELECT YYYYMM, COUNT(lid) AS CNT FROM ".$xoopsDB->prefix('amaxoop2_items').
			" WHERE YYYYMM <= '$yyyymm' AND Status = 1 GROUP BY YYYYMM ORDER BY YYYYMM DESC";
	}
	$res = $xoopsDB->query($sql, $limit);
	while (list($YYYYMM, $count) = $xoopsDB->fetchRow($res)) {
		$archive = array(	'Title' => str_replace('-', '/', $YYYYMM),
					'Link'  => XOOPS_URL."/modules/amaxoop2/index.php?caldate=$YYYYMM",
					'Count' => $count);
		$block['archives'][] = $archive;
	}
	return $block;
}
?>