<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require './header.php';

$xoopsOption['template_main'] = "amax2_edit1.html";

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('amax2edit', _AMAX2_TokenLife);
$TokenValid = $Token_handler->autoValidate('amax2edit');

//	
if (($xoopsModuleConfig['AnonEntry'] == 0) && !is_object($xoopsUser)) {
	redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}
//	
if ($ASIN == '') {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_ASIN);
	exit();
}
//	
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT gid FROM "._Amax2CatDB_." WHERE cid = $cid");
	list($gid) = $xoopsDB->fetchRow($res);
	if (!amaxoop2_CheckPermission(intval($gid))) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php?ASIN=$ASIN", 2, _AMAXOOP2_ERR_NOPERM);
		exit();
	}
}
//	
if ($lid != 0) {
	if (!is_object($xoopsUser)) {
		redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
		exit();
	}
	$res = $xoopsDB->query("SELECT lid, uid FROM "._Amax2ItemDB_." WHERE lid = $lid");
	if ($xoopsDB->getRowsNum($res) == 1) {
		list($db_lid, $db_uid) = $xoopsDB->fetchRow($res);
		if (($db_uid != $uid) && !$xoopsUser->IsAdmin()) {
			redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOPERM);
			exit();
		} else {
			redirect_header(XOOPS_URL."/modules/amaxoop2/edit2.php?lid=$lid", 2, _AMAXOOP2_WAIT);
			exit();
		}
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOENTRY);
		exit();
	}
}

//	
if ($xoopsModuleConfig['AllowSameASIN'] == 0) {
	$res = $xoopsDB->query("SELECT lid, ASIN FROM "._Amax2ItemDB_." WHERE ASIN = '$ASIN'");
	if ($xoopsDB->getRowsNum($res) > 0) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_ERR_SAMEASIN);
		exit();
	}
}
$cid_exists = array();
if ($xoopsModuleConfig['AllowSameASIN'] == 1) {
	$res = $xoopsDB->query("SELECT cid, lid FROM "._Amax2ItemDB_." WHERE ASIN = '$ASIN'");
	while (list($c, $l) = $xoopsDB->fetchRow($res)) {
		$cid_exists[$c] = $l;
	}
}
if (($cid != 0) && isset($cid_exists[$cid])) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit1.php?ASIN=$ASIN", 3, _AMAXOOP2_ERR_SAMEASIN);
	exit();
}

//	
$Cat = array();
$CTitle = '';
$CTitle2 = '';
$res = $xoopsDB->query("SELECT cid, CTitle, gid FROM "._Amax2CatDB_." ORDER BY COrder");
while (list($db_cid, $db_CTitle, $db_gid) = $xoopsDB->fetchRow($res)){
	if (!isset($cid_exists[$db_cid]) && amaxoop2_CheckPermission(intval($db_gid))) {
		$Cat[] = array(	'cid' => intval($db_cid),
				'CTitle' => $myts->htmlSpecialChars($db_CTitle));
	}
	if ($db_cid == $cid) { $CTitle = $myts->htmlSpecialChars($db_CTitle); }
}
if (count($Cat) == 0) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_ERR_NOCATTOENTER);
	exit();
}
$xoopsTpl->assign('cid', $cid);
$xoopsTpl->assign('CTitle', $CTitle);
$xoopsTpl->assign('Categories', $Cat);
$xoopsTpl->assign('CategoriesCount', count($Cat));
$SubCat = array();
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT cid2, CTitle2 FROM "._Amax2Cat2DB_." WHERE cid = $cid ORDER BY COrder2");
	while (list($db_cid2, $db_CTitle2) = $xoopsDB->fetchRow($res)) {
		$SubCat[] = array(	'cid2' => intval($db_cid2),
					'CTitle2' => $myts->htmlSpecialChars($db_CTitle2));
		if ($db_cid2 == $cid2) { $CTitle2 = $myts->htmlSpecialChars($db_CTitle2); }
	}
}
$xoopsTpl->assign('cid2', $cid2);
$xoopsTpl->assign('CTitle2', $CTitle2);
$xoopsTpl->assign('SubCategories', $SubCat);
$xoopsTpl->assign('SubCategoriesCount', count($SubCat));

$item = amaxoop2_GetItemData($ASIN);
$item = amaxoop2_CustomizeData($item);
if (!isset($item['MediumImageURL']) || (trim($item['MediumImageURL']) == '')) {
	$item['MediumImageURL'] = _AMAX2_NoImageURL;
}

//	
if ($xoopsModuleConfig['AdultNG'] && ($item['IsItAdult'] > 0)) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOADULT);
	exit();
}
$xoopsTpl->assign('item', $item);

$formD = new XoopsFormDhtmlTextArea(_AMAXOOP2_DESCRIPTION, 'DescriptionText', '', _AMAX2_TextRowSize, _AMAX2_TextColSize);
$xoopsTpl->assign('DescArea', $formD->render());

$xoopsTpl->assign('uid', $uid);
$xoopsTpl->assign('uname', $uname);
$xoopsTpl->assign('ASIN', $ASIN);

$SearchIndexes = array();
foreach ($amaxoop2SearchIndexes as $key => $val) {
	$SearchIndexes[] = array('id' => $key, 'name' => $val);
}
$xoopsTpl->assign('SearchIndexes', $SearchIndexes);

$xoopsTpl->assign('ExcerptRowSize', _AMAX2_ExptRowSize);
$xoopsTpl->assign('ExcerptColSize', _AMAX2_ExptColSize);
$xoopsTpl->assign('xoopsModuleConfig', $xoopsModuleConfig);
$xoopsTpl->assign('ticket_hidden', $Ticket->getHtml());

//include './footer.php';
include XOOPS_ROOT_PATH.'/footer.php';
?>