<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require './header.php';

$DB_Data = array();
$IN_Data = array();

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('amax2edit', _AMAX2_TokenLife);
$TokenValid = $Token_handler->autoValidate('amax2edit');

//	
if (!$TokenValid) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_TICKET_ERROR);
	exit();
}

//	
if ($lid != 0) {
	$res = $xoopsDB->query("SELECT * FROM "._Amax2ItemDB_." WHERE lid = $lid");
	if ($xoopsDB->getRowsNum($res) == 1) {
		$DB_Data = $xoopsDB->fetchArray($res);
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOENTRY);
		exit();
	}
}

//	
if (($xoopsModuleConfig['AnonEntry'] == 0) && !is_object($xoopsUser)) {
	redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}
//	
if (($lid != 0) && !is_object($xoopsUser)) {
	redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}
//	
if (($lid != 0) && (($DB_Data['uid'] != $uid) && !$xoopsUser->IsAdmin())) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOPERM);
	exit();
}
//	
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT * FROM "._Amax2CatDB_." WHERE cid = $cid");
	$CatData = $xoopsDB->fetchArray($res);
	if (!amaxoop2_CheckPermission(intval($CatData['gid']))) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOPERM);
		exit();
	}
}
//	
if (($op == 'Entry') && ($ASIN == '')) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_ASIN);
	exit();
}
if (($op != 'Entry') && ($lid == 0)) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOENTRY);
	exit();
}

//	
if (($lid == 0) && ($xoopsModuleConfig['AllowSameASIN'] == 0)) {
	$res = $xoopsDB->query("SELECT lid, ASIN FROM "._Amax2ItemDB_." WHERE ASIN = '$ASIN' AND lid != $lid");
	if ($xoopsDB->getRowsNum($res) > 0) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_ERR_SAMEASIN);
		exit();
	}
}
if (($lid == 0) && ($xoopsModuleConfig['AllowSameASIN'] == 1) && ($cid != 0)) {
	$res = $xoopsDB->query("SELECT lid, ASIN FROM "._Amax2ItemDB_." WHERE ASIN = '$ASIN' AND cid = $cid AND lid != $lid");
	if ($xoopsDB->getRowsNum($res) > 0) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_ERR_SAMEASIN);
		exit();
	}
}

//	
$item = array();
if ($ASIN != '') {
	$item = amaxoop2_GetItemData($ASIN);
	$item = amaxoop2_CustomizeData($item);
	if ($xoopsModuleConfig['AdultNG'] && ($item['IsItAdult'] > 0)) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOADULT);
		exit();
	}
	if (!isset($item['MediumImageURL']) || (trim($item['MediumImageURL']) == '')) {
		if (isset($OldData['MediumImageURL']) && ($OldData['MediumImageURL'] != '')) {
			$item['MediumImageURL'] = $OldData['MediumImageURL'];
		} else {
			$item['MediumImageURL'] = _AMAX2_NoImageURL;
		}
	}
	foreach ($item as $key => $val) {
		if ($key == 'MediumImageURL') {
			$item[$key.'F'] = htmlspecialchars($val);
		} else {
			if (!is_array($val)) { $item[$key] = htmlspecialchars($val); }
		}
	}
}

//	Clear Cache
if ($op != '') {
	$CacheFiles = glob(XOOPS_CACHE_PATH."/blk_*amax2_*_block.html");
	if (is_array($CacheFiles)) {
		foreach ($CacheFiles as $CacheFile) {
			@unlink($CacheFile);
		}
	}
	$CacheFiles = glob(XOOPS_CACHE_PATH."/mod_amaxoop2*.html");
	if (is_array($CacheFiles)) {
		foreach ($CacheFiles as $CacheFile) {
			@unlink($CacheFile);
		}
	}
}

//	Get Posted Data
$IN_Data = array();
$IN_Data['ASIN'] = $ASIN;
$IN_Data['cid'] = $cid;
$IN_Data['cid2'] = $cid2;
$IN_Data['uid'] = $uid;
$IN_Data['Status'] = (isset($_POST['Status']) ? intval($_POST['Status']) : 1);
$IN_Data['uname'] = $uname;
$IN_Data['Description'] = (isset($_POST['DescriptionText']) ? $myts->stripSlashesGPC($_POST['DescriptionText']) : '');
$IN_Data['Excerpt'] = (isset($_POST['Excerpt']) ? $myts->stripSlashesGPC($_POST['Excerpt']) : '');
$IN_Data['Keywords'] = (isset($_POST['Keywords']) ? $myts->stripSlashesGPC($_POST['Keywords']) : '');
$IN_Data['SearchIdx'] = (isset($_POST['SearchIdx']) ? $myts->stripSlashesGPC($_POST['SearchIdx']) : '');
if ($IN_Data['Excerpt'] == '') {
	$IN_Data['Excerpt'] = amaxoop2_AutoExcerpt($IN_Data['Description'], 100);
}
if (!isset($_POST['EntryTime']) || ($_POST['EntryTime'] == '')) { $IN_Data['EntryTime'] = time(); }
	else { $IN_Data['EntryTime'] = ((strtotime($_POST['EntryTime']) > 0) ? strtotime($_POST['EntryTime']) : time()); }
$IN_Data['Updated'] = time();
$IN_Data['YYYYMM'] = strftime('%Y-%m', $IN_Data['EntryTime']);
if ($uid = 0) { $IN_Data['Status'] = 1; }
$IN_Data['IP'] = $myts->stripSlashesGPC($_SERVER['REMOTE_ADDR']);

if ($xoopsModuleConfig['MustComment'] && ($IN_Data['Description'] == '')) {
	if ($op == 'Entry') {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit1.php?ASIN=$ASIN&amp;cid=$cid&amp;cid2=$cid2", 2, _AMAXOOP2_ERR_NODESCRIPTION);
		exit();
	}
	if ($op == 'Edit') {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit2.php?lid=$lid", 2, _AMAXOOP2_ERR_NODESCRIPTION);
		exit();
	}
}

if ($op == 'Entry') {
	$flist = 'ASIN,cid,cid2,uid,Status,uname,Description,Excerpt,EntryTime,Updated,YYYYMM,IP,Keywords,SearchIdx';
	$vlist = '';
	$comma = '';
	foreach (explode(',', $flist) as $fname) {
		if (isset($IN_Data[$fname])) {
			$vlist .= $comma."'".addslashes($IN_Data[$fname])."'";
		} else {
			$vlist .= $comma."''";
		}
		$comma = ', ';
	}
	$sql = "INSERT INTO "._Amax2ItemDB_." ($flist) VALUES ($vlist)";
	$xoopsDB->query($sql);
	$item = amaxoop2_GetItemData($ASIN);
	$item = amaxoop2_CustomizeData($item);
	if ($IN_Data['Status'] == 1) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/index.php", 5, _AMAXOOP2_EDIT_THANKS);
		exit();
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 0, _AMAXOOP2_EDIT_THANKS);
		exit();
	}
}
if ($op == 'Edit') {
	$flist = 'Status,Description,Excerpt,Updated,IP,Keywords,SearchIdx';
	$vlist = '';
	if (($DB_Data['Status'] == 0) && ($IN_Data['Status'] == 1)) {
		$IN_Data['EntryTime'] = time(); $IN_Data['YYYYMM'] = strftime('%Y-%m', $IN_Data['EntryTime']);
		$flist .= ',EntryTime,YYYYMM';
	}
	$comma = '';
	foreach (explode(',', $flist) as $fname) {
		if (isset($IN_Data[$fname]) && ($IN_Data[$fname] != $DB_Data[$fname])) {
			$vlist .= $comma."$fname = '".addslashes($IN_Data[$fname])."'";
		$comma = ', ';
		}
	}
	$sql = "UPDATE "._Amax2ItemDB_." SET $vlist WHERE lid = $lid";
	if ($vlist != '') { $xoopsDB->query($sql); }
	if ($IN_Data['Status'] == 1) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/article.php?lid=$lid", 5, _AMAXOOP2_EDIT_THANKS);
		exit();
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit2.php?lid=$lid", 0, _AMAXOOP2_EDIT_OK);
		exit();
	}
}
if ($op == 'ChangeCat') {
	if ($cid != $DB_Data['cid']) {
		$xoopsDB->query("UPDATE "._Amax2ItemDB_." SET cid = $cid, cid2 = 0, Updated = ".time()." WHERE lid = $lid");
	}
	if ($NewData['Status'] == 1) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/article.php?lid=$lid", 5, _AMAXOOP2_EDIT_THANKS);
		exit();
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit2.php?lid=$lid", 0, _AMAXOOP2_EDIT_OK);
		exit();
	}
}
if ($op == 'ChangeCat2') {
	if ($cid2 != $OldData['cid2']) {
		$xoopsDB->query("UPDATE "._Amax2ItemDB_." SET cid2 = $cid2, Updated = ".time()." WHERE lid = $lid");
	}
	if ($IN_Data['Status'] == 1) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/article.php?lid=$lid", 5, _AMAXOOP2_EDIT_THANKS);
		exit();
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit2.php?lid=$lid", 0, _AMAXOOP2_EDIT_OK);
		exit();
	}
}
if ($op == 'Delete') {
	if (isset($_POST['confirm']) && ($_POST['confirm'] == 'OK')) {
		$xoopsDB->query("DELETE FROM "._Amax2ItemDB_." WHERE lid = $lid");
		$xoopsDB->query("DELETE FROM "._Amax2VoteDB_." WHERE lid = $lid");
		xoops_comment_delete($xoopsModule->getVar('mid'), $lid);
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_EDIT_DELETED);
		exit();
	}
}

redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_ERR_PARAMETERS);
?>