<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

define ('_AMAX2_UseTrackBack', false);

require_once '../../mainfile.php';
if (!defined('_CHARSET')) { define("_CHARSET", "EUC-JP"); }
require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parameters.php';
require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/library.php';
if ( file_exists(XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php') ) {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php';
} else {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/japanese/main.php';
}

require_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";
$myts =& MyTextSanitizer::getInstance();

define ("_Amax2CatDB_",		$xoopsDB->prefix('amaxoop2_categories'));
define ("_Amax2Cat2DB_",	$xoopsDB->prefix('amaxoop2_subcategories'));
define ("_Amax2ItemDB_",	$xoopsDB->prefix('amaxoop2_items'));
define ("_Amax2VoteDB_",	$xoopsDB->prefix('amaxoop2_votedata'));

//	Get queries
$lid	= (isset($_POST['lid']) ? intval($_POST['lid']) : (isset($_GET['lid']) ? intval($_GET['lid']) : 0));
$cid	= (isset($_POST['cid']) ? intval($_POST['cid']) : (isset($_GET['cid']) ? intval($_GET['cid']) : 0));
$cid2	= (isset($_POST['cid2']) ? intval($_POST['cid2']) : (isset($_GET['cid2']) ? intval($_GET['cid2']) : 0));
$Page	= (isset($_POST['Page']) ? intval($_POST['Page']) : (isset($_GET['Page']) ? intval($_GET['Page']) : 0));
$op	= (isset($_POST['op']) ? $_POST['op'] : (isset($_GET['op']) ? $_GET['op'] : ''));
	if (!preg_match('/^[a-zA-Z0-9]+$/', $op)) { $op = ''; }
$ASIN	= (isset($_POST['ASIN']) ? $_POST['ASIN'] : (isset($_GET['ASIN']) ? $_GET['ASIN'] : ''));
	if (!preg_match('/^[a-zA-Z0-9]+$/', $ASIN)) { $ASIN = ''; }
$yyyymm = '';
$caltime = 0;
$caldate= (isset($_POST['caldate']) ? $_POST['caldate'] : (isset($_GET['caldate']) ? $_GET['caldate'] : ''));
	if (!preg_match('/^[\d\-\/:]*$/', $caldate)) { $caldate = ''; }
	if (preg_match('/^([\d]{4})[\D]*([\d]{1,2})$/', $caldate , $m)) {
		if (strlen($m[2]) == 1) { $m[2] = '0'.$m[2]; }
		$caldate = $m[1].'-'.$m[2];
		$yyyymm = $caldate;
		$caltime = 0;
	} elseif (preg_match('/^([\d]{4})[\D]*([\d]{1,2})[\D]*([\d]{1,2})$/', $caldate , $m)) {
		$caldate = $m[1].'-'.$m[2].'-'.$m[3];
		$caltime = strtotime($caldate.' 23:59:59');
		if ($caltime < 0) { $caltime = 0; $caldate = ''; $yyyymm = ''; }
		else { $caldate = date('Y-m-d', $caltime); $yyyymm = date('Y-m', $caltime); }
	} else { $caltime = 0; $caldate = ''; $yyyymm = ''; }

$Sort	= (isset($_POST['Sort']) ? $_POST['Sort'] : (isset($_GET['Sort']) ? $_GET['Sort'] : $xoopsModuleConfig['SortOrder']));
if	($Sort == 'Old')	{ $SortSQL = ' ORDER BY EntryTime'; }
elseif	($Sort == 'Clicks')	{ $SortSQL = ' ORDER BY Clicks DESC, EntryTime DESC'; }
elseif	($Sort == 'Skcilc')	{ $SortSQL = ' ORDER BY Clicks, EntryTime DESC'; }
elseif	($Sort == 'Vote')	{ $SortSQL = ' ORDER BY VoteAve DESC, Clicks DESC, EntryTime DESC'; }
elseif	($Sort == 'ID')		{ $SortSQL = ' ORDER BY lid'; }
else				{ $SortSQL = ' ORDER BY EntryTime DESC'; $Sort = 'New';}

if (is_object($xoopsUser)) {
	$uid = $xoopsUser->getVar('uid');
	$uname = $xoopsUser->getVar('uname');
} else {
	$uid = 0;
	$uname = _AMAXOOP2_GUEST_NAME;
}

$AssID = $xoopsModuleConfig['AssociateID'];
$SubID = $xoopsModuleConfig['SubscriptionID'];

$xoopsDB->queryF("UPDATE "._Amax2ItemDB_." SET Status = 1 WHERE Status = 2 AND EntryTime < ".time());

include XOOPS_ROOT_PATH.'/header.php';

/*
$xoopsTpl->assign('xoops_module_header',
	'<meta http-equiv="content-style-type" content="text/css" />'."\n".
	'<meta http-equiv="content-script-type" content="text/javascript" />'."\n".
	$xoopsTpl->get_template_vars("xoops_module_header"));
*/
?>