<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once './header.php';

$xoopsOption['template_main'] = "amax2_search.html";

$old_meta_robots = $xoopsTpl->get_template_vars("xoops_meta_robots");
$new_meta_robots = str_replace(',follow',',nofollow', $old_meta_robots);
$xoopsTpl->assign("xoops_meta_robots", $new_meta_robots );

$org_pagetitle = $xoopsTpl->get_template_vars("xoops_pagetitle");
$new_pagetitle = $org_pagetitle.'  '._AMAXOOP2_SEARCH_RESULT;
$xoopsTpl->assign("xoops_org_pagetitle", $org_pagetitle );
$xoopsTpl->assign("xoops_pagetitle", $new_pagetitle );

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('amax2edit', _AMAX2_TokenLife);

//	Initialize
$SearchDone = 0;
$title = '';

//	Get string
$KeyWord = (isset($_POST['KeyWord']) ? $_POST['KeyWord'] : (isset($_GET['KeyWord']) ? $_GET['KeyWord'] : ''));
$KeyWord = $myts->stripSlashesGPC($KeyWord);
$SearchIndex = (isset($_POST['SearchIndex']) ? $_POST['SearchIndex'] : (isset($_GET['SearchIndex']) ? $_GET['SearchIndex'] : 'Blended'));
if (!isset($amaxoop2SearchIndexes[$SearchIndex])) { $SearchIndex = 'Blended'; }
if ($Page == 0) { $Page = 1; }

//	Search
if ($KeyWord != '') {
	if	(preg_match('/^NODE([\d]+)$/', $KeyWord, $matches) && ($SearchIndex != 'Blended'))	{
		$AMResult = amaxoop2_SearchNode($matches[1], $SearchIndex, ($Page * 2 -1));
		$title =  htmlspecialchars($matches[1]).'&nbsp;(BrowseNode)'; }
	elseif	(preg_match('/^SIM([A-Z\d]+)$/', $KeyWord, $matches))	{
		$AMResult = amaxoop2_SearchSimilar($matches[1]);
		$title =  htmlspecialchars($matches[1]).'&nbsp;(Similar)'; }
	elseif	(preg_match('/^[A-Z\d]{10}$/', $KeyWord)) {
		$AMResult = amaxoop2_SearchASIN($KeyWord);
		$title =  htmlspecialchars($KeyWord).'&nbsp;(ASIN)'; }
	elseif	(preg_match('/^[\d]{13}$/', $KeyWord) && ($SearchIndex != 'Blended'))	{
		$AMResult = amaxoop2_SearchISBN($KeyWord, $SearchIndex);
		$title =  htmlspecialchars($KeyWord).'&nbsp;(ISBN)'; }
//	elseif	(preg_match('/^[\d]{13}$/', $KeyWord))	{
//		$AMResult = amaxoop2_search_by_code2($KeyWord, $SearchIndex);
//		$title =  htmlspecialchars($KeyWord).'&nbsp;(ISBN/JAN)'; }
	elseif	(preg_match('/^[\d]{8}$/', $KeyWord)) {
		$AMResult = amaxoop2_SearchEAN($KeyWord, $SearchIndex);
		$title =  htmlspecialchars($KeyWord).'&nbsp;(JAN/EAN)'; }
	elseif	(preg_match('/^[\d]{12}$/', $KeyWord) && ($SearchIndex != 'Blended'))	{
		$AMResult = amaxoop2_SearchUPC($KeyWord, $SearchIndex);
		$title =  htmlspecialchars($KeyWord).'&nbsp;(UPC)'; }
	else {
		$AMResult = amaxoop2_SearchKeyWord2($KeyWord, $SearchIndex, ($Page * 2 -1));
		$title =  htmlspecialchars($KeyWord).'&nbsp;('.$amaxoop2SearchIndexes[$SearchIndex].')'; }
	$MyParser = new amaxoop2_Parser();
	$AMResult = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMResult));
	$SearchDone = 1;
}
$xoopsTpl->assign('SearchDone',	$SearchDone);
$xoopsTpl->assign('title',$title);

$SearchIndexes = array();
foreach ($amaxoop2SearchIndexes as $key => $val) {
	$SearchIndexes[] = array('id' => $key, 'name' => $val);
}
$xoopsTpl->assign('KeyWord',		htmlspecialchars($KeyWord));
$xoopsTpl->assign('Page',		$Page);
$xoopsTpl->assign('SearchIndexes',	$SearchIndexes);
$xoopsTpl->assign('SearchIndex',	$SearchIndex);
$xoopsTpl->assign('SearchIndexF',	$amaxoop2SearchIndexes[$SearchIndex]);

$cnt = 0;
if ($SearchDone) {
	if (!isset($AMResult['Err']) || !$AMResult['Err']) {
		$res = $xoopsDB->query("SELECT ASIN, uid, lid FROM "._Amax2ItemDB_." GROUP BY ASIN");
		$ASINlist = array();
		while (list($a, $u, $l) = $xoopsDB->fetchRow($res)) {
			$ASINlist[$a]['uid'] = $u;
			$ASINlist[$a]['lid'] = $l;
		}
		$xoopsTpl->assign('SearchErr', '');
		$items = array();
		amaxoop2_UpdateItemsDB($AMResult['Items']);
		foreach ($AMResult['Items'] as $AM) {
			$item = array();
			$AM = amaxoop2_CustomizeData($AM);
			foreach ($AM as $key => $val) {
				if ($key == 'Creators') {
					$item[$key] = htmlspecialchars(preg_replace('/\([^\)]*\)/', '', $val));
				} elseif (preg_match('/^(ASIN|ThumbnailURL|DetailPageURL|AmazonURL|MediumImageURL)$/', $key)) {
					$item[$key] = $val;
				} elseif (($key == 'EditorialReview') && isset($val[0]['Content'])) {
					$item[$key]['Excerpt'] = amaxoop2_AutoExcerpt($val[0]['Content'], 200);
				} elseif ($key == 'CustomerReviews') {
					if (isset($val['AverageRating'])) {
						$item['AverageRating'] = $val['AverageRating'];
						$item['AverageRatingImageURL'] = $val['AverageRatingImageURL'];
					}
				} elseif ($key == 'ProductIcon') {
					$item['ProductIcon'] = preg_replace('/24/', '18', $val);
				} elseif (!is_array($val)) {
					$item[$key] = htmlspecialchars($val);
				}
			}
			$item['AlreadyEntered'] = false;
			$item['Enterable'] = (is_object($xoopsUser) || $xoopsModuleConfig['AnonEntry']);
			$item['Editable'] = false;
			if (isset($ASINlist[$item['ASIN']])) {
				$item['AlreadyEntered'] = true;
				$item['Enterable'] = false;
				if (is_object($xoopsUser)) {
					if ($xoopsUser->IsAdmin()) { $item['Editable'] = true; }
					elseif ($ASINlist[$item['ASIN']]['uid'] == $xoopsUser->getVar('uid')) {
						$item['Editable'] = true;
					}
				}
				if ($item['Editable']) { $item['lid'] = $ASINlist[$item['ASIN']]['lid']; }
			}
			if (!isset($item['ThumbnailURL']) || ($item['ThumbnailURL'] == '')) {
				$item['ThumbnailURL'] = 'http://images-jp.amazon.com/images/P/'.$item['ASIN'].'.09._AA'._AMAX2_DefaultThumbSize.'_SCMZZZZZZZ_.jpg" width="'._AMAX2_DefaultThumbSize.'" height="'._AMAX2_DefaultThumbSize.'';
			}

//			if (isset($item['FormattedPrice']) && ($item['FormattedPrice'] != '')) {
				$items[] = $item;
//			}
		}
		$cnt++;
		$xoopsTpl->assign('items', $items);

		$TotalResults = (isset($AMResult['TotalResults']) ? intval($AMResult['TotalResults']) : 0);
		$TotalPages = (isset($AMResult['TotalPages']) ? intval($AMResult['TotalPages']) : 0);
		$TotalPages = ceil($TotalPages / 2);
//		$TotalPages = ceil($TotalResults / 20);
		$xoopsTpl->assign('TotalResults', $TotalResults);
		$xoopsTpl->assign('TotalPages', $TotalPages);
//		$xoopsTpl->assign('TotalPages', ceil($TotalResults / 20));
		$xoopsTpl->assign('PageListLink', amaxoop2_PageListLink ($Page, $TotalPages, XOOPS_URL.'/modules/amaxoop2/search.php?KeyWord='.urlencode($KeyWord).'&amp;SearchIndex='.urlencode($SearchIndex).'&amp;Page='));
	} else {
		$xoopsTpl->assign('SearchErr', htmlspecialchars($AMResult['ErrDescription']));
	}
}

$xoopsTpl->assign('xoopsModuleConfig', $xoopsModuleConfig);
$xoopsTpl->assign('ResultCount', $cnt);
$xoopsTpl->assign('TicketHTML', $Ticket->getUrl());

include XOOPS_ROOT_PATH.'/footer.php';
?>