<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005- taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //
//                    !! DO NOT CHANGE THIS FILE !!                          //
//  ------------------------------------------------------------------------ //
//
//	This Program is 'Traffic-ware'.
//

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

$modversion['name']		= _MI_AMAXOOP2_NAME;
$modversion['version']		= '1.30';
$modversion['description']	= _MI_AMAXOOP2_DESC;
$modversion['credits']		= "Taquino";
$modversion['author']		= "http://xoops.taquino.net/";
$modversion['help']		= '';
$modversion['license']		= "Traffic Ware<br />Creative Commons Attribution-ShareAlike 2.1 Japan<br />".
                        	  "http://creativecommons.org/licenses/by-sa/2.1/jp/";
$modversion['official']		= 0;
$modversion['dirname']		= "amaxoop2";
if (defined( 'XOOPS_CUBE_LEGACY')) {
	$modversion['image']		= "images/amaxoop2c.png";
} else {
	$modversion['image']		= "images/amaxoop2.png";
}
//$modversion['onInstall']	= 'xoops_install.php';
//$modversion['onIUninstall']	= 'xoops_uninstall.php';
$modversion['onUpdate']		= 'admin/amaxoop2_update.php';

// Templates
$modversion['templates'][1]['file']		= 'amax2_main.html';
$modversion['templates'][1]['description']	= _MI_AMAXOOP2_TMPL_main;
$modversion['templates'][2]['file']		= 'amax2_link.html';
$modversion['templates'][2]['description']	= _MI_AMAXOOP2_TMPL_link;
$modversion['templates'][3]['file']		= 'amax2_topseller.html';
$modversion['templates'][3]['description']	= _MI_AMAXOOP2_TMPL_topseller;
$modversion['templates'][4]['file']		= 'amax2_search.html';
$modversion['templates'][4]['description']	= _MI_AMAXOOP2_TMPL_search;
$modversion['templates'][5]['file']		= 'amax2_article.html';
$modversion['templates'][5]['description']	= _MI_AMAXOOP2_TMPL_article;
$modversion['templates'][6]['file']		= 'amax2_detail.html';
$modversion['templates'][6]['description']	= _MI_AMAXOOP2_TMPL_detail;
$modversion['templates'][7]['file']		= 'amax2_edit.html';
$modversion['templates'][7]['description']	= _MI_AMAXOOP2_TMPL_edit;
$modversion['templates'][8]['file']		= 'amax2_edit1.html';
$modversion['templates'][8]['description']	= _MI_AMAXOOP2_TMPL_edit1;
$modversion['templates'][9]['file']		= 'amax2_edit2.html';
$modversion['templates'][9]['description']	= _MI_AMAXOOP2_TMPL_edit2;
$modversion['templates'][10]['file']		= 'amax2_blog.html';
$modversion['templates'][10]['description']	= _MI_AMAXOOP2_TMPL_blog;
$modversion['templates'][11]['file']		= 'amax2_adult.html';
$modversion['templates'][11]['description']	= _MI_AMAXOOP2_TMPL_adult;

// Sql files
$modversion['sqlfile']['mysql']	= "sql/mysql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0]	= "amaxoop2_items";
$modversion['tables'][1]	= "amaxoop2_categories";
$modversion['tables'][2]	= "amaxoop2_asins";
$modversion['tables'][3]	= "amaxoop2_votedata";
$modversion['tables'][4]	= "amaxoop2_subcategories";

// Admin things
$modversion['hasAdmin']		= 1;
$modversion['adminindex']	= "admin/index.php";
$modversion['adminmenu']	= "admin/menu.php";

// Search
$modversion['hasSearch']	= 1;
$modversion['search']['file']	= "include/search.inc.php";
$modversion['search']['func']	= "amaxoop2_search";

// Main contents
$modversion['hasMain']	= 1;
$i = 1;
$module_handler	=& xoops_gethandler('module');
$module	=& $module_handler->getByDirname('amaxoop2');
if(is_object($module)) {
	$config_handler	=& xoops_gethandler('config');
	$config		=& $config_handler->getConfigsByCat(0, $module->getVar('mid'));
	if (isset($config['SubMenu']) && ($config['SubMenu'])) {
		$myts	=& MyTextSanitizer::getInstance();
		$db	=& Database::getInstance() ;
		$res = $db->query("SELECT cid, CTitle FROM ".$db->prefix("amaxoop2_categories")." ORDER BY COrder");
		while(list($cid, $CTitle) = $db->fetchRow($res))
		{
			$modversion['sub'][$i++] = array('name' => ' - '.$myts->htmlSpecialChars($CTitle), 'url' => "index.php?cid=$cid");
/*
			if (isset($_GET['cid']) && ($cid == $_GET['cid'])) {
				$res2 = $db->query("SELECT cid2, CTitle2 FROM ".$db->prefix("amaxoop2_subcategories")." WHERE cid = $cid ORDER BY COrder2");
				while(list($cid2, $CTitle2) = $db->fetchRow($res2))
				{
					$modversion['sub'][$i++] = array('name' => ' - - '.$myts->htmlSpecialChars($CTitle2), 'url' => "index.php?cid=$cid&amp;cid2=$cid2");
				}
			}
*/

		}
	}
	if (isset($config['AnonEntry']) && (($config['AnonEntry'] != 0) || !empty($_SESSION['xoopsUserId']))) {
		$modversion['sub'][$i++] = array('name' => _MI_AMAXOOP2_EDIT_MENU, 'url' => "edit.php");
	}
}
$modversion['sub'][$i++] = array('name' => _MI_AMAXOOP2_SEARCH_MENU, 'url' => "search.php");

// Comments
$modversion['hasComments'] = 1;
$modversion['comments']['itemName'] = 'lid';
$modversion['comments']['pageName'] = 'article.php';
$modversion['comments']['extraParams'] = array('cid', 'caldate');
$modversion['comments']['callbackFile'] = 'include/comment_functions.php';
$modversion['comments']['callback']['approve'] = 'amaxoop2_com_approve';
$modversion['comments']['callback']['update'] = 'amaxoop2_com_update';

// Config Settings
$modversion['config'][1]['name']	= 'AssociateID';
$modversion['config'][1]['title']	= '_MI_AMAXOOP2_ASSID_TITLE';
$modversion['config'][1]['description']	= '_MI_AMAXOOP2_ASSID_DESC';
$modversion['config'][1]['formtype']	= 'text';
$modversion['config'][1]['valuetype']	= 'text';
$modversion['config'][1]['default']	= 'amaxoop-1-22';

$modversion['config'][2]['name']	= 'SubscriptionID';
$modversion['config'][2]['title']	= '_MI_AMAXOOP2_DEVTK_TITLE';
$modversion['config'][2]['description']	= '_MI_AMAXOOP2_DEVTK_DESC';
$modversion['config'][2]['formtype']	= 'text';
$modversion['config'][2]['valuetype']	= 'text';
$modversion['config'][2]['default']	= '0EKVYRPBK0HDA1DP3EG2';

$modversion['config'][3]['name']	= 'SubMenu';
$modversion['config'][3]['title']	= '_MI_AMAXOOP2_SUBMN_TITLE';
$modversion['config'][3]['description']	= '_MI_AMAXOOP2_SUBMN_DESC';
$modversion['config'][3]['formtype']	= 'yesno';
$modversion['config'][3]['valuetype']	= 'int';
$modversion['config'][3]['default']	= '1';

$modversion['config'][4]['name']	= 'BlogOrLink';
$modversion['config'][4]['title']	= '_MI_AMAXOOP2_BLOGORLINK_TITLE';
$modversion['config'][4]['description']	= '_MI_AMAXOOP2_BLOGORLINK_DESC';
$modversion['config'][4]['formtype']	= 'select';
$modversion['config'][4]['valuetype']	= 'int';
$modversion['config'][4]['options']	= array(_MI_AMAXOOP2_BLOGORLINK_LINK => 0, _MI_AMAXOOP2_BLOGORLINK_MAIN => 1, _MI_AMAXOOP2_BLOGORLINK_BLOG => 2);
$modversion['config'][4]['default']	= 1;

$modversion['config'][5]['name']	= 'ItemsOnPage';
$modversion['config'][5]['title']	= '_MI_AMAXOOP2_ITEMSONPAGE_TITLE';
$modversion['config'][5]['description']	= '_MI_AMAXOOP2_ITEMSONPAGE_DESC';
$modversion['config'][5]['formtype']	= 'select';
$modversion['config'][5]['valuetype']	= 'int';
$modversion['config'][5]['options']	= array('2' => 2, '5' => 5, '10' => 10, '15' => 15, '20' => 20, '50' => 50);
$modversion['config'][5]['default']	= 10;

$modversion['config'][6]['name']	= 'ExcrptOrDescription';
$modversion['config'][6]['title']	= '_MI_AMAXOOP2_INDEX_TEXT_TITLE';
$modversion['config'][6]['description']	= '_MI_AMAXOOP2_INDEX_TEXT_DESC';
$modversion['config'][6]['formtype']	= 'select';
$modversion['config'][6]['valuetype']	= 'int';
$modversion['config'][6]['options']	= array(_MI_AMAXOOP2_INDEX_EXCERPT => 0, _MI_AMAXOOP2_INDEX_DESCRIPTION => 1);
$modversion['config'][6]['default']	= 0;

$modversion['config'][7]['name']	= 'UseAmaxo';
$modversion['config'][7]['title']	= '_MI_AMAXOOP2_USEAMAXO_TITLE';
$modversion['config'][7]['description']	= '_MI_AMAXOOP2_USEAMAXO_DESC';
$modversion['config'][7]['formtype']	= 'yesno';
$modversion['config'][7]['valuetype']	= 'int';
$modversion['config'][7]['default']	= 1;

$modversion['config'][8]['name']	= 'EntryLink';
$modversion['config'][8]['title']	= '_MI_AMAXOOP2_ENTRYLINK_TITLE';
$modversion['config'][8]['description']	= '_MI_AMAXOOP2_ENTRYLINK_DESC';
$modversion['config'][8]['formtype']	= 'yesno';
$modversion['config'][8]['valuetype']	= 'int';
$modversion['config'][8]['default']	= 1;

$modversion['config'][9]['name']	= 'AllowSameASIN';
$modversion['config'][9]['title']	= '_MI_AMAXOOP2_SAMEASIN_TITLE';
$modversion['config'][9]['description']= '_MI_AMAXOOP2_SAMEASIN_DESC';
$modversion['config'][9]['formtype']	= 'select';
$modversion['config'][9]['valuetype']	= 'int';
$modversion['config'][9]['options']	= array(_MI_AMAXOOP2_SAMEASIN_0 => 0, _MI_AMAXOOP2_SAMEASIN_1 => 1, _MI_AMAXOOP2_SAMEASIN_2 => 2);
$modversion['config'][9]['default']	= 0;

$modversion['config'][10]['name']	= 'AdultNG';
$modversion['config'][10]['title']	= '_MI_AMAXOOP2_ADULTNG_TITLE';
$modversion['config'][10]['description']= '_MI_AMAXOOP2_ADULTNG_DESC';
$modversion['config'][10]['formtype']	= 'yesno';
$modversion['config'][10]['valuetype']	= 'int';
$modversion['config'][10]['default']	= 1;

$modversion['config'][11]['name']	= 'AnonEntry';
$modversion['config'][11]['title']	= '_MI_AMAXOOP2_ANONENTRY_TITLE';
$modversion['config'][11]['description']	= '_MI_AMAXOOP2_ANONENTRY_DESC';
$modversion['config'][11]['formtype']	= 'yesno';
$modversion['config'][11]['valuetype']	= 'int';
$modversion['config'][11]['default']	= '1';

$modversion['config'][12]['name']	= 'MustComment';
$modversion['config'][12]['title']	= '_MI_AMAXOOP2_MUSTCOMMENT_TITLE';
$modversion['config'][12]['description']	= '_MI_AMAXOOP2_MUSTCOMMENT_DESC';
$modversion['config'][12]['formtype']	= 'yesno';
$modversion['config'][12]['valuetype']	= 'int';
$modversion['config'][12]['default']	= 0;

$modversion['config'][13]['name']	= 'EditDate';
$modversion['config'][13]['title']	= '_MI_AMAXOOP2_EDITDATE_TITLE';
$modversion['config'][13]['description']= '_MI_AMAXOOP2_EDITDATE_DESC';
$modversion['config'][13]['formtype']	= 'yesno';
$modversion['config'][13]['valuetype']	= 'int';
$modversion['config'][13]['default']	= 0;

$modversion['config'][14]['name']	= 'CacheTime';
$modversion['config'][14]['title']	= '_MI_AMAXOOP2_CACHETIME_TITLE';
$modversion['config'][14]['description']= '_MI_AMAXOOP2_CACHETIME_DESC';
$modversion['config'][14]['formtype']	= 'select';
$modversion['config'][14]['valuetype']	= 'int';
$modversion['config'][14]['options']	= array('0' => 0, '30' => 30, '60' => 60, '300' => 300, '600' => 600, '900' => 900, '1800' => 1800);
$modversion['config'][14]['default']	= 0;

$modversion['config'][15]['name']	= 'SortOrder';
$modversion['config'][15]['title']	= '_MI_AMAXOOP2_SORT_TITLE';
$modversion['config'][15]['description']= '_MI_AMAXOOP2_SORT_DESC';
$modversion['config'][15]['formtype']	= 'select';
$modversion['config'][15]['valuetype']	= 'text';
$modversion['config'][15]['options']	= array(_MI_AMAXOOP2_SORT_NEW => 'New', _MI_AMAXOOP2_SORT_OLD => 'Old', _MI_AMAXOOP2_SORT_CLICK1 => 'Clicks',  _MI_AMAXOOP2_SORT_CLICK2 => 'Skcilc', _MI_AMAXOOP2_SORT_VOTE => 'Vote');
$modversion['config'][15]['default']	= 'New';

// Blocks
// Search box
$modversion['blocks'][1]['file']	= "amax2_search.php";
$modversion['blocks'][1]['name']	= _MI_AMAXOOP2_BLKSRC_TITLE;
$modversion['blocks'][1]['description']	= _MI_AMAXOOP2_BLKSRC_DESC;
$modversion['blocks'][1]['show_func']	= 'amaxoop2_search_block';
$modversion['blocks'][1]['edit_func']	= 'amaxoop2_search_block_edit';
$modversion['blocks'][1]['template']	= 'amax2_search_block.html';
$modversion['blocks'][1]['options']	= 'Blended';
$modversion['blocks'][1]['can_clone']	= true ;

// Items
$modversion['blocks'][2]['file']	= "amax2_show_items.php";
$modversion['blocks'][2]['name']	= _MI_AMAXOOP2_BLKNEW_TITLE;
$modversion['blocks'][2]['description']	= _MI_AMAXOOP2_BLKNEW_DESC;
$modversion['blocks'][2]['show_func']	= 'amaxoop2_show_items';
$modversion['blocks'][2]['edit_func']	= "amaxoop2_show_items_edit";
$modversion['blocks'][2]['template']	= 'amax2_show_items_block.html';
$modversion['blocks'][2]['options']	= '5|EntryTime DESC';
$modversion['blocks'][2]['can_clone']	= true ;

// Categories
$modversion['blocks'][3]['file']	= "amax2_show_cats.php";
$modversion['blocks'][3]['name']	= _MI_AMAXOOP2_BLKCAT_TITLE;
$modversion['blocks'][3]['description']	= _MI_AMAXOOP2_BLKCAT_DESC;
$modversion['blocks'][3]['show_func']	= 'amaxoop2_show_cats';
$modversion['blocks'][3]['template']	= 'amax2_show_cats_block.html';
$modversion['blocks'][3]['options']	= '';

// Archives
$modversion['blocks'][4]['file']	= "amax2_show_archive.php";
$modversion['blocks'][4]['name']	= _MI_AMAXOOP2_BLKACV_TITLE;
$modversion['blocks'][4]['description']	= _MI_AMAXOOP2_BLKACV_DESC;
$modversion['blocks'][4]['show_func']	= 'amaxoop2_show_archive';
$modversion['blocks'][4]['template']	= 'amax2_show_archive_block.html';
$modversion['blocks'][4]['options']	= '12';

// Random Item
$modversion['blocks'][5]['file']	= "amax2_show_random.php";
$modversion['blocks'][5]['name']	= _MI_AMAXOOP2_BLKRND_TITLE;
$modversion['blocks'][5]['description']	= _MI_AMAXOOP2_BLKRND_DESC;
$modversion['blocks'][5]['show_func']	= 'amaxoop2_show_random';
$modversion['blocks'][5]['edit_func']	= "amaxoop2_show_random_edit";
$modversion['blocks'][5]['template']	= 'amax2_show_random_block.html';
$modversion['blocks'][5]['options']	= '1|160';

// Calender
$modversion['blocks'][6]['file']	= "amax2_show_calender.php";
$modversion['blocks'][6]['name']	= _MI_AMAXOOP2_BLKCAL_TITLE;
$modversion['blocks'][6]['description']	= _MI_AMAXOOP2_BLKCAL_DESC;
$modversion['blocks'][6]['show_func']	= 'amaxoop2_show_calender';
$modversion['blocks'][6]['template']	= 'amax2_show_calender_block.html';
$modversion['blocks'][6]['options']	= '';

// Items by Category
$modversion['blocks'][7]['file']	= "amax2_show_catitems.php";
$modversion['blocks'][7]['name']	= _MI_AMAXOOP2_BLKCITM_TITLE;
$modversion['blocks'][7]['description']	= _MI_AMAXOOP2_BLKCITM_DESC;
$modversion['blocks'][7]['show_func']	= 'amaxoop2_show_catitems';
$modversion['blocks'][7]['edit_func']	= "amaxoop2_show_catitems_edit";
$modversion['blocks'][7]['template']	= 'amax2_show_catitems_block.html';
$modversion['blocks'][7]['options']	= '0|5|EntryTime DESC';
$modversion['blocks'][7]['can_clone']	= true ;

// keeping block's options when module is updated
if( ! empty( $_POST['fct'] ) && ! empty( $_POST['op'] ) && $_POST['fct'] == 'modulesadmin' && $_POST['op'] == 'update_ok' && $_POST['dirname'] == $modversion['dirname'] ) {
	include dirname( __FILE__ ) . "/include/onupdate.inc.php" ;
}
?>