<?php
include_once '../../../include/cp_header.php';
include './header.php';

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('setimage', 60 * 60);
$TokenValid = $Token_handler->autoValidate('setimage');
if (!$TokenValid) {
	if ($op != '') {
		redirect_header(XOOPS_URL."/modules/amaxoop2/admin/set_image.php", 2, _AM_AMAXOOP2_TICKET_ERROR);
		exit();
	}
}

$ImageURL0 = ''; $ImageURL = '';
if (isset($_POST['ImageURL'])) {
	$ImageURL0 = $myts->stripSlashesGPC($_POST['ImageURL']);
	if (preg_match('/^http[\S]+$/i', $ImageURL0)) {
		$ImageURL = $ImageURL0;
		$width  = intval($_POST['width']);
		$height = intval($_POST['height']);
		if ($width > 0)  { $ImageURL .= '" width="'.strval($width); }
		if ($height > 0) { $ImageURL .= '" height="'.strval($height); }
	} else {
		$ImageURL0 = '';
	}
}

if (($op == 'SetImage') && (isset($_POST['ImageURL'])) && ($lid != 0)) {
	$sql = "UPDATE "._Amax2ItemDB_." SET MediumImageURL = '".addslashes($ImageURL)."' WHERE lid = $lid";
	$xoopsDB->query($sql);
	redirect_header(XOOPS_URL."/modules/amaxoop2/admin/set_image.php", 0, _AM_AMAXOOP2_DB_UPDATED);
	exit();
}

//	Display
xoops_cp_header();
if (!defined('XOOPS_CUBE_LEGACY')) {
include('./mymenu.php');
print	'<table width="100%"><tr><th>'._AM_AMAXOOP2_SETIMAGE_TITLE.'</th></tr></table>';
} else {
print '<div class="adminnavi">
      <a href="http://127.0.0.1/xoops_cl21/modules/amaxoop2/admin/index.php">Amaxoop2</a>
          &raquo;&raquo; <span class="adminnaviTitle">'._AM_AMAXOOP2_SETIMAGE_TITLE.'</span>
      </div>';
}

print	'<table width="100%"><tr><th>'._AM_AMAXOOP2_SETIMAGE_TITLE.'</th></tr></table>';

if (($op = 'Preview') && ($lid != 0)) {
	$sql = "SELECT * FROM "._Amax2ItemDB_." WHERE lid = $lid";
	$dat = $xoopsDB->fetchArray($xoopsDB->query($sql));
	if ($ImageURL == '') {
		$ImageURL = $dat['MediumImageURL'];
		$ImageURL0 = $ImageURL;
		if (preg_match('/^([^\s"]+)/', $ImageURL, $matches)) { $ImageURL0 = $matches[1]; }
		if (preg_match('/width[\s]*=[\s]*"([\d]+)/', $ImageURL, $matches)) { $width = intval($matches[1]); }
		if (preg_match('/height[\s]*=[\s]*"([\d]+)/', $ImageURL, $matches)) { $height = intval($matches[1]); }
	}
	print '
	<table width="100%"><tr class="head"><td colspan="2">'._AM_AMAXOOP2_SETIMAGE_PREVIEW.'</td></tr>
	<tr><td'.(($width > 0) ? ' width="'.$width.'"' : '').' rowspan="4"><img src="'.$ImageURL.'" /></td><td><strong>'.htmlspecialchars($dat['Title']).'</strong></td></tr>
	<tr><td align="right">ASIN:'.htmlspecialchars($dat['ASIN']).' ('.htmlspecialchars($dat['ProductGroup']).')</td></tr>
	<tr><td>'.htmlspecialchars($ImageURL0).'</td></tr>
	<tr><td><form action="./set_image.php" method="post" style="margin:0;">
	<input type="hidden" name="lid" value="'.$lid.'" />'.$Ticket->getHtml().'
	<input type="hidden" name="op" value="Preview" />
	Image-URL:<input type="text" size="62" maxlength="250" name="ImageURL" value="'.htmlspecialchars($ImageURL0).'" /><br />
	Width:<input type="text" size="4" name="width" value="'.$width.'" />&nbsp;&nbsp;
	height:<input type="text" size="4" name="height" value="'.$height.'" />&nbsp;&nbsp;
	<input type="submit" value="'._AM_AMAXOOP2_EDITCAT_PREVIEW.'" /></form></td></tr>
	<tr class="head"><td colspan="2"><form action="./set_image.php" method="post" style="margin:0;">
	<input type="hidden" name="op" value="SetImage" />
	<input type="hidden" name="lid" value="'.$lid.'" />
	<input type="hidden" name="ImageURL" value="'.htmlspecialchars($ImageURL0).'" />
	<input type="hidden" name="width" value="'.$width.'" />
	<input type="hidden" name="height" value="'.$height.'" />
	<input type="submit" value="'._AM_AMAXOOP2_SETIMAGE_SUBMIT.'" />&nbsp;'._AM_AMAXOOP2_SETIMAGE_NOTICE.'
	'.$Ticket->getHtml().'</form></td></tr>
	</table>';
} else {
	$sql = "SELECT * FROM "._Amax2ItemDB_." WHERE MediumImageURL = ''";
	$res = $xoopsDB->query($sql);
	print '<table width="100%"><tr class="head"><td colspan="2">'._AM_AMAXOOP2_SETIMAGE_DESC.'</td></tr>';
	$C = ' class="even"';
	while ($dat = $xoopsDB->fetchArray($res)) {
		print '
	<tr'.$C.'><td><form action="./set_image.php" method="post" style="margin:0;">
	<input type="hidden" name="lid" value="'.$dat['lid'].'" /><strong>'.htmlspecialchars($dat['Title']).'</strong>&nbsp;&nbsp;(ASIN:'.htmlspecialchars($dat['ASIN']).'&nbsp;-&nbsp;'.htmlspecialchars($dat['ProductGroup']).')<br />
	<input type="hidden" name="op" value="Preview" />'.$Ticket->getHtml().'
	Image-URL:<input type="text" size="62" maxlength="250" name="ImageURL" value="" />
	Width:<input type="text" size="4" name="width" value="" />&nbsp;&nbsp;
	height:<input type="text" size="4" name="height" value="" />&nbsp;&nbsp;
	<input type="submit" value="'._AM_AMAXOOP2_EDITCAT_PREVIEW.'" /></form></td></tr>';
		$C = (($C == ' class="even"') ? ' class="odd"' : ' class="even"');
	}
	print '
	<tr'.$C.'><td><form action="./set_image.php" method="post" style="margin:0;">
	'._AM_AMAXOOP2_SETIMAGE_CHANGE.' : <input type="text" size="4" name="lid" />&nbsp;&nbsp;
	<input type="hidden" name="op" value="Preview" />'.$Ticket->getHtml().'
	<input type="hidden" name="ImageURL" value="" />
	<input type="hidden" name="width" value="0" />
	<input type="hidden" name="height" value="0" />
	<input type="submit" value="'._AM_AMAXOOP2_EDITCAT_PREVIEW.'" /></form></td></tr></table>';
}

xoops_cp_footer();
?>