<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once './header.php';

$old_meta_robots = $xoopsTpl->get_template_vars("xoops_meta_robots");
$new_meta_robots = str_replace(',follow',',nofollow', $old_meta_robots);
$xoopsTpl->assign("xoops_meta_robots", $new_meta_robots );

//	Get parameter
if ($ASIN == '') {
	if ($lid != 0) {
		$sql = "SELECT cid, ASIN FROM "._Amax2ItemDB_." WHERE Status = 1 AND lid = $lid";
		list($cid, $ASIN) = $xoopsDB->fetchRow($xoopsDB->query($sql));
	} elseif ($cid != 0) {
		$sql = "SELECT ASIN FROM "._Amax2ItemDB_." WHERE Status = 1 AND cid = $cid ORDER BY RAND()";
		list($ASIN) = $xoopsDB->fetchRow($xoopsDB->query($sql, 1));
	} else {
		$sql = "SELECT ASIN FROM "._Amax2ItemDB_." WHERE Status = 1 ORDER BY RAND()";
		list($ASIN) = $xoopsDB->fetchRow($xoopsDB->query($sql, 1));
	}
}
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT AssID, gid FROM "._Amax2CatDB_." WHERE cid = $cid");
	if ($xoopsDB->getRowsNum($res) > 0) {
		list($CatAssID, $gid) = $xoopsDB->fetchRow($res);
		if ($CatAssID != '') { $AssID = $CatAssID; }
	}
}

if ($ASIN == '') {
	redirect_header(XOOPS_URL.'/modules/amaxoop2/', 0, _AMAXOOP2_ERR_NOITEM);
}

$item = amaxoop2_GetItemData($ASIN);
$item = amaxoop2_CustomizeData($item, $AssID);
if (!isset($item['MediumImageURL'])) { $item['MediumImageURL'] = ''; }

if ($item['IsItAdult'] > 0) {
	$old_meta_robots = $xoopsTpl->get_template_vars("xoops_meta_robots");
	$new_meta_robots = str_replace('index,','noindex,', $old_meta_robots);
	$xoopsTpl->assign("xoops_meta_robots", $new_meta_robots );
	$xoopsOption['template_main'] = "amax2_adult.html";
} else {
	$xoopsOption['template_main'] = "amax2_detail.html";
}

if (trim($item['MediumImageURL']) == '') {
	$res = $xoopsDB->query("SELECT MediumImageURL FROM "._Amax2ItemDB_." WHERE ASIN = '".addslashes($ASIN)."'");
	if ($xoopsDB->getRowsNum($res) > 0) {
		list($item['MediumImageURL']) = $xoopsDB->fetchRow($res);
	}
}
if (trim($item['MediumImageURL']) == '') { $item['MediumImageURL'] = _AMAX2_NoImageURL; }
$item['MediumImageURLF'] = ''.$item['MediumImageURL'];
if (preg_match('/^http:\/\/[^\/]*amazon.com\//', $item['MediumImageURL'])) {
	if (strpos($item['MediumImageURL'], '_') === false) {
		$item['MediumImageURLF'] = preg_replace('/^(.+)(\..*)$/', "\${1}._\${2}", $item['MediumImageURLF']);
	}
	if ($item['PriceDown'] > 0) {
		$item['MediumImageURLF'] = preg_replace('/^([^_]+)(_.*)$/', "\${1}_PE".sprintf('%02d', $item['PriceDown'])."\${2}", $item['MediumImageURLF']);
	}
	if (preg_match('/(cd|Music)/i', $item['ProductGroup'])) {
		$item['MediumImageURLF'] = preg_replace('/^([^_]+)(_.*)$/', "\${1}_PF\${2}", $item['MediumImageURLF']);
	} elseif (preg_match('/(book|Video Games)/i', $item['ProductGroup'])) {
		$item['MediumImageURLF'] = preg_replace('/^([^_]+)(_.*)$/', "\${1}_PC\${2}", $item['MediumImageURLF']);
	}
	if ($item['MediumImageURLF'] != $item['MediumImageURL']) {
		$item['MediumImageURLF'] = preg_replace('/(\"[\s]+width[\s]*=[\s]*\"[\d]+)/', '', $item['MediumImageURLF']);
		$item['MediumImageURLF'] = preg_replace('/(\"[\s]+height[\s]*=[\s]*\"[\d]+)/', '', $item['MediumImageURLF']);
	}
}

$xoopsTpl->assign('item', $item);
srand ((double) microtime() * 1000000);
if (rand(1,100) <= 5) { $xoopsTpl->assign('AssID', 'amaxoop-1-2'.'2'); } else { $xoopsTpl->assign('AssID', $AssID); }

$Amax2Count = 0;
$Amaxoop2 = array();
$sql = "SELECT Description, Excerpt, EntryTime, uname, lid FROM "._Amax2ItemDB_." WHERE Status = 1 AND ASIN = '$ASIN' ORDER BY EntryTime";
$res = $xoopsDB->query($sql);
while (list($Description, $Excerpt, $EntryTime, $uname, $lid) = $xoopsDB->fetchRow($res)) {
	if (trim($Description) != '') {
		$Amaxoop2[] = array(	'Description'	=> $myts->displayTarea($Description,0,1,1,1,1),
					'Excerpt'	=> $myts->htmlSpecialChars($Excerpt),
					'uname'		=> $myts->htmlSpecialChars($uname),
					'lid'		=> intval($lid),
					'EntryTimeF'	=> strftime('%Y/%m/%d', $EntryTime));
		$Amax2Count++;
	}
}
$xoopsTpl->assign('Amax2Count',	$Amax2Count);
$xoopsTpl->assign('Amaxoop2',	$Amaxoop2);

$ShowEdit = ($xoopsModuleConfig['EntryLink'] && ($Amax2Count == 0));
if ($ShowEdit) {
	if (isset($gid)) { $ShowEdit = amaxoop2_CheckPermission($gid); }
}
$xoopsTpl->assign('ShowEdit',	$ShowEdit);

$org_pagetitle = $xoopsTpl->get_template_vars("xoops_pagetitle");
$new_pagetitle = $item['Title'];
$xoopsTpl->assign("xoops_org_pagetitle", $org_pagetitle );
$xoopsTpl->assign("xoops_pagetitle", $new_pagetitle );

require_once './footer.php';
?>