<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once './header.php';

define ('_MyURL_', XOOPS_URL.'/modules/amaxoop2');

$old_meta_robots = $xoopsTpl->get_template_vars("xoops_meta_robots");
$new_meta_robots = str_replace(',follow',',nofollow', $old_meta_robots);
$xoopsTpl->assign("xoops_meta_robots", $new_meta_robots );

$xoopsOption['template_main'] = "amax2_article.html";

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('amax2tbping', _AMAX2_TokenLife);
$xoopsTpl->assign('ticket_hidden', $Ticket->getHtml());

//	Initialize
$MyTitle = ''; $CTitle = ''; $CTitle2 = ''; $gid = -1;
$AssID = $xoopsModuleConfig['AssociateID'];

//	Get data from DB
if ($lid != 0) {
	$sql = "SELECT * FROM "._Amax2ItemDB_." WHERE Status = 1 AND lid = $lid";
	$res = $xoopsDB->query($sql);
} else {
	$sqlwhere = " Status = 1 ";
	$LimitStart = 1;
	if ($cid != 0) { $sqlwhere .= "AND cid = $cid "; }
	if ($yyyymm != '') { $sqlwhere .= "AND YYYYMM = '$yyyymm' "; }
	if ($caltime != 0) { $sqlwhere .= "AND EntryTime <= $caltime "; }
	if ($Page != 0) { $LimitStart = $Page - 1; }
	$sql = "SELECT * FROM "._Amax2ItemDB_." WHERE $sqlwhere $SortSQL";
	$res = $xoopsDB->query($sql, 1, $LimitStart);
	if ($xoopsDB->getRowsNum($res) == 0) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/", 0, _AMAXOOP2_ERR_NOITEM);
		exit();
	}
}
$DB_Data = $xoopsDB->fetchArray($res);
$dat = array();
if ($lid == 0) { $lid = intval($DB_Data['lid']); }
foreach ($DB_Data as $key => $val) {
	if	(preg_match('/^(lid|cid|uid|Status|Clicks|IsItAdult|Comments|PriceDown)$/', $key))
								{ $dat[$key] = intval($val); }
	elseif	(preg_match('/^(Description|Excerpt)$/', $key))	{ $dat[$key] = $myts->displayTarea($val,0,1,1,1,1); }
	elseif	(preg_match('/^(MediumImageURL|ASIN|IP|Keywords)$/', $key))	{ $dat[$key] = $val; }
	else							{ $dat[$key] = $myts->htmlSpecialChars($val); }
	if ($key == 'ASIN') { $ASIN = $val; }
}

//	Count up 'Clicks'
if ($_SERVER['REMOTE_ADDR'] != $xoopsConfig['my_ip']) {
	$xoopsDB->queryF("UPDATE "._Amax2ItemDB_." SET Clicks = Clicks + 1 WHERE lid = $lid");
}

//	Set page link and title
if ($cid2 != 0) {
	$res = $xoopsDB->query("SELECT CTitle2, cid FROM "._Amax2Cat2DB_." WHERE cid2 = $cid2");
	list($CTitle2, $cid) = $xoopsDB->fetchRow($res);
	$res = $xoopsDB->query("SELECT CTitle, gid, AssID FROM "._Amax2CatDB_." WHERE cid = $cid");
	list($CTitle, $gid, $AssID) = $xoopsDB->fetchRow($res);
	$MyTitle = _AMAXOOP2_CATEGORY_ARTICLE.'&nbsp;(&nbsp;<a href="'._MyURL_.'/index.php?cid='.$cid.'">'.
		$myts->htmlSpecialChars($CTitle).'</a>'._AMAXOOP2_RIGHT_ARROW.
		'<a href="'._MyURL_.'/index.php?cid='.$cid.'&amp;cid2='.$cid2.'">'.
		$myts->htmlSpecialChars($CTitle2).'</a>&nbsp;)';
	$res = $xoopsDB->query("SELECT lid FROM "._Amax2ItemDB_." WHERE Status = 1 AND cid = $cid AND cid2 = $cid2 $SortSQL");
	$i = 1;
	while (list($val) = $xoopsDB->fetchRow($res)) {
		if ($lid == $val) { $Page = $i; }
		$lid_list[$i++] = $val;
	}
	$PageListLink = amaxoop2_PageListLink($Page, $i - 1, "article.php?cid=$cid&amp;cid2=${cid2}&amp;lid=", $lid_list);
} elseif ($cid != 0) {
	$res = $xoopsDB->query("SELECT CTitle, gid, AssID FROM "._Amax2CatDB_." WHERE cid = $cid");
	list($CTitle, $gid, $AssID) = $xoopsDB->fetchRow($res);
	$MyTitle = _AMAXOOP2_CATEGORY_ARTICLE."&nbsp;(&nbsp;".$myts->htmlSpecialChars($CTitle)."&nbsp;)";
	$res = $xoopsDB->query("SELECT lid FROM "._Amax2ItemDB_." WHERE Status = 1 AND cid = $cid $SortSQL");
	$i = 1;
	while (list($val) = $xoopsDB->fetchRow($res)) {
		if ($lid == $val) { $Page = $i; }
		$lid_list[$i++] = $val;
	}
	$PageListLink = amaxoop2_PageListLink($Page, $i - 1, "article.php?cid=$cid&amp;lid=", $lid_list);
} elseif ($yyyymm != "") {
	$MyTitle = _AMAXOOP2_ARCHIVE_ARTICLE."&nbsp;(&nbsp;".$yyyymm."&nbsp;)";
	$res = $xoopsDB->query("SELECT lid FROM "._Amax2ItemDB_." WHERE Status = 1 AND YYYYMM = '$yyyymm' $SortSQL");
	$i = 1;
	while (list($val) = $xoopsDB->fetchRow($res)) {
		if ($lid == $val) { $Page = $i; }
		$lid_list[$i++] = $val;
	}
	$PageListLink = amaxoop2_PageListLink($Page, $i - 1, "article.php?caldate=$yyyymm&amp;lid=", $lid_list);
} else {
	$MyTitle = _AMAXOOP2_ENTRY_ARTICLE;
	$res = $xoopsDB->query("SELECT lid FROM "._Amax2ItemDB_." WHERE Status = 1 $SortSQL");
	$i = 1;
	while (list($val) = $xoopsDB->fetchRow($res)) {
		if ($lid == $val) { $Page = $i; }
		$lid_list[$i++] = $val;
	}
	$PageListLink = amaxoop2_PageListLink($Page, $i - 1, "article.php?lid=", $lid_list);
}
$xoopsTpl->assign('MyTitle', $MyTitle);
$xoopsTpl->assign('PageListLink', $PageListLink);

if ($cid == 0) {
	$res = $xoopsDB->query("SELECT AssID, CTitle, gid FROM "._Amax2CatDB_." WHERE cid = ${dat['cid']}");
	list($AssID, $CTitle, $gid) = $xoopsDB->fetchRow($res);
}
$xoopsTpl->assign('CTitle', $myts->htmlSpecialChars($CTitle));
$xoopsTpl->assign('cid', $cid);
$xoopsTpl->assign('CTitle2', $myts->htmlSpecialChars($CTitle2));
$xoopsTpl->assign('cid2', $cid2);

//	Get item data from Amazon
$item = amaxoop2_GetItemData($dat['ASIN']);
if (!isset($item['ASIN'])) { $item = $dat; $item['Availability'] = _AMAXOOP2_ERR_NOITEM; }
$item = amaxoop2_CustomizeData($item, $AssID);
if (!isset($item['MediumImageURL'])) { $item['MediumImageURL'] = ''; }
if (trim($item['MediumImageURL']) == '') { $item['MediumImageURL'] = $dat['MediumImageURL']; }
if (trim($item['MediumImageURL']) == '') { $item['MediumImageURL'] = _AMAX2_NoImageURL; }
$item['MediumImageURLF'] = ''.$item['MediumImageURL'];
if ($item['PriceDown'] > 0) {
	if (preg_match('/^http:\/\/[^\/]*amazon.com\//', $item['MediumImageURL'])) {
		if (strpos($item['MediumImageURL'], '_') === false) {
			$item['MediumImageURLF'] = preg_replace('/^(.+)(\..+)$/', "\${1}._PE".sprintf('%02d', $item['PriceDown'])."_\${2}", $item['MediumImageURLF']);
		} else {
			$item['MediumImageURLF'] = preg_replace('/^([^_]+)(.*)$/', "\${1}_PE".sprintf('%02d', $item['PriceDown'])."_\${2}", $item['MediumImageURLF']);
		}
		$item['MediumImageURLF'] = preg_replace('/(\"[\s]+width[\s]*=[\s]*\"[\d]+)/', '', $item['MediumImageURLF']);
		$item['MediumImageURLF'] = preg_replace('/(\"[\s]+height[\s]*=[\s]*\"[\d]+)/', '', $item['MediumImageURLF']);
	}
}
$xoopsTpl->assign('item', $item);
srand ((double) microtime() * 1000000);
if (rand(1,100) <= 5) { $xoopsTpl->assign('AssID', 'amax'.'oop-1-2'.'2'); } else { $xoopsTpl->assign('AssID', $xoopsModuleConfig['AssociateID']); }
$xoopsTpl->assign('item', $item);
unset ($Result, $AMResult);

//	Similar Items
$MyParser = new amaxoop2_Parser();
$AMSimResult = amaxoop2_SearchSimilar($dat['ASIN']);
$SimResult = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMSimResult));
if (isset($SimResult['Error']) && $SimResult['Error']) { amaxoop2_UpdateItemsDB($SimResult); }
$SimsCount = 0;
$Sims = array();
foreach ($SimResult['Items'] as $sim) {
	if (($sim['ASIN'] != $dat['ASIN']) && isset($sim['MediumImage']['URL'])) {
		$sim = amaxoop2_CustomizeData($sim, $AssID);
//		$sim['ThumbnailURL'] = amaxoop2_ThumbnailURL($sim['MediumImageURL']);
		$sim['ThumbnailURL'] = ''.$sim['MediumImage']['URL'];
		if (strpos($sim['ThumbnailURL'], '_') === false) {
			$sim['ThumbnailURL'] = preg_replace('/^(.+)(\..*)$/', "$1._AA"._AMAX2_DefaultThumbSize."_$2", $sim['MediumImage']['URL']);
		} else {
			$sim['ThumbnailURL'] = preg_replace('/^([^_]+)(.*)$/', "$1_AA"._AMAX2_DefaultThumbSize."_$2", $sim['MediumImage']['URL']);
		}
		if ($sim['PriceDown'] > 0) {
			$sim['ThumbnailURL'] = preg_replace('/^([^_]+)(.*)$/', "\${1}_PE".sprintf('%02d', $item['PriceDown'])."_\${2}", $sim['ThumbnailURL']);
		}
		$sim['ThumbnailURL'] .= '" width="'._AMAX2_DefaultThumbSize.'" height="'._AMAX2_DefaultThumbSize;
		$Sims[$SimsCount++] = $sim;
	}
	if ($SimsCount >= _AMAX2_MaxSimCount) { break; }
}
$xoopsTpl->assign('SimsCount', $SimsCount);
$xoopsTpl->assign('Sims', $Sims);
unset ($SimResult, $AMSimResult);

//	Vote
$sql = "SELECT SUM(Rating) AS Sum, COUNT(Rating) AS Count FROM ".$xoopsDB->prefix('amaxoop2_votedata')." WHERE lid = $lid";
$Vote = $xoopsDB->fetchArray($xoopsDB->query($sql));
if ($Vote['Count'] == 0) { $Vote['Average'] = sprintf('%0.2f', 0); }
else { $Vote['Average'] = sprintf('%0.2f', $Vote['Sum'] / $Vote['Count']); }
$sql = "SELECT Rating FROM ".$xoopsDB->prefix('amaxoop2_votedata')." WHERE lid = $lid AND IP ='".$myts->addslashes($_SERVER['REMOTE_ADDR'])."'";
$Vote['Voted'] = $xoopsDB->getRowsNum($xoopsDB->query($sql));
$xoopsTpl->assign('Vote', $Vote);

//	Check right (permission)
$IsAdmin = (is_object($xoopsUser) && ($xoopsUser->IsAdmin()));
$xoopsTpl->assign('IsAdmin', $IsAdmin);
$EditRight = (is_object($xoopsUser) && (($dat['uid'] == $xoopsUser->getVar('uid')) || $xoopsUser->IsAdmin()));
$xoopsTpl->assign('EditRight', $EditRight);
$EntryRight = amaxoop2_CheckPermission($gid);
$xoopsTpl->assign('EntryRight', $EntryRight);

//	Set time string
$dat['EntryTimeF']	= strftime('%Y/%m/%d', $dat['EntryTime']);
$dat['EntryTime8601']	= date('Ymd\THiO', $dat['EntryTime']);
$dat['UpdatedF']	= strftime('%Y/%m/%d', $dat['Updated']);
$dat['AWS_UpdatedF']	= strftime('%Y/%m/%d', $dat['AWS_Updated']);
$dat['CTitle']		= $myts->htmlSpecialChars($CTitle);
$dat['CTitle2']		= $myts->htmlSpecialChars($CTitle2);

//	Keywords
$dat['KeywordsCount'] = 0;
$dat['KeywordsSeparator'] = ' ';
foreach (array('|', ',', ' ', ';', '') as $s) {
	if (strpos($dat['Keywords'], $s) > 0) { $dat['KeywordsSeparator'] = $s; break; }
}
foreach (explode($dat['KeywordsSeparator'], $dat['Keywords']) as $val) {
	if (trim($val) != '') {
		$dat['KeywordsList'][] = array('URL' => urlencode(trim($val)), 'HTML' => htmlspecialchars(trim($val)));
		$dat['KeywordsCount']++;
	}
}

//	Set data
$xoopsTpl->assign('dat', $dat);

$org_pagetitle = $xoopsTpl->get_template_vars("xoops_pagetitle");
$new_pagetitle = $org_pagetitle.'  '.$item['Title'];
$xoopsTpl->assign("xoops_org_pagetitle", $org_pagetitle );
$xoopsTpl->assign("xoops_pagetitle", $new_pagetitle );

$xoopsTpl->assign('xoopsModuleConfig', $xoopsModuleConfig);
$xoopsTpl->assign('MyQUERY', htmlspecialchars($myts->stripSlashesGPC($_SERVER['QUERY_STRING'])));

//	Comments
$xoopsTpl->assign('ShowComments', (($op == 'ShowComments') || isset($_GET['com_mode']) || _AMAX2_CommentShow));
include XOOPS_ROOT_PATH.'/include/comment_view.php';

require_once './footer.php';
?>