<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

function amaxoop2_show_cats($options) {
	global $xoopsDB;
	$myts =& MyTextSanitizer::getInstance();
	$sql = "SELECT cid, COUNT(lid) AS CNT, MAX(EntryTime) AS TIM FROM ".$xoopsDB->prefix('amaxoop2_items')." WHERE Status = 1 GROUP BY cid";
	$res = $xoopsDB->query($sql);
	while (list($cid, $c, $t) = $xoopsDB->fetchRow($res)) {
		$Count[$cid] = $c;
		if ($t > 0) {
			$EntryTimeF[$cid] = date('Y/m/d', $t);
		} else {
			$EntryTimeF[$cid] = '----/--/--';
		}
	}
	$sql = "SELECT * FROM ".$xoopsDB->prefix('amaxoop2_categories')." ORDER BY COrder";
	$res = $xoopsDB->query($sql);
	$block = array();
	while ($rec = $xoopsDB->fetchArray($res)) {
		$cat = array();
		foreach ($rec as $key => $val) {
			if (preg_match('/(cid|gid|COrder)/', $key)) { $cat[$key] = intval($val); }
			elseif (preg_match('/(CTitle)/', $key)) { $cat[$key] = $myts->htmlSpecialChars($val); }
		}
		// $cat['Count'] = $Count[$cat['cid']];
		$cat['Count'] = (isset($Count[$cat['cid']]) ? $Count[$cat['cid']]: 0);
		// $cat['Latest'] = $EntryTimeF[$cat['cid']];
		$cat['Latest'] = (isset($EntryTimeF[$cat['cid']]) ? $EntryTimeF[$cat['cid']] : '----/--/--');
		$block['cats'][] = $cat;
	}
	return $block;
}
?>