<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

require_once (XOOPS_ROOT_PATH.'/modules/amaxoop2/include/library.php');

//	$options : Number of Items, Sort Order
function amaxoop2_show_random($options) {
	global $xoopsDB;
	if (amaxoop2_AreYouRobot()) { return ''; }
	$myts =& MyTextSanitizer::getInstance();
	$Amaxoop2ModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
	$limit = ((intval($options[0]) > 0) ? intval($options[0]) : 1);
	$MaxSize = ((intval($options[1]) > 0) ? intval($options[1]) : 160);
	$sql = "SELECT ASIN FROM ".$xoopsDB->prefix('amaxoop2_asins')." ORDER BY RAND()";
	$res = $xoopsDB->query($sql, $limit + 2);
	if ($xoopsDB->getRowsNum($res) == 0) { return; }
	$count = 1;
	$block = array();
	while (list($ASIN) = $xoopsDB->fetchRow($res)) {
		$item = amaxoop2_GetItemData($ASIN);
		if (!is_array($item)) { continue; }
		//	A_g֎~̏ꍇɁAA_g\ɍ폜
		if (($Amaxoop2ModuleConfig['AdultNG']) && ($item['IsItAdult'] > 0)) {
			$xoopsDB->queryF("DELETE FROM ".$xoopsDB->prefix('amaxoop2_asins')." WHERE ASIN = '".addslashes($ASIN)."'");
			continue;
		}
		//	i΁A폜
		if (!isset($item['FormattedPrice']) || ($item['FormattedPrice'] == '')) {
			$xoopsDB->queryF("DELETE FROM ".$xoopsDB->prefix('amaxoop2_asins')." WHERE ASIN = '".addslashes($ASIN)."'");
			continue;
		}
		//	TCY摜΁A폜
		if (!isset($item['MediumImageURL']) || (trim($item['MediumImageURL']) == '')) {
			$xoopsDB->queryF("DELETE FROM ".$xoopsDB->prefix('amaxoop2_asins')." WHERE ASIN = '".addslashes($ASIN)."'");
			continue;
		}
		$item['MediumImageURL'] = amaxoop2_ThumbnailURL($item['MediumImageURL'], $MaxSize);
		$item['ThumbnailURL'] = amaxoop2_ThumbnailURL($item['MediumImageURL'], _AMAX2_DefaultThumbSize);
		$item['CreatorsF'] = (isset($item['Creators']) ? preg_replace('/(\([^\)]*\))/', '', $item['Creators']) : '');
		$item['ManufacturerF'] = ((isset($item['Manufacturer']) && ($item['Manufacturer'] != '')) ? '&nbsp;('.$item['Manufacturer'].')&nbsp;' : '');
		// $item['ShortTitle'] = preg_replace('/^(.+?)([\(|\[|<|&].*)$/', '\\1 ...', $item['Title']);
		$item['ShortTitle'] = amaxoop2_AutoExcerpt($item['Title'], _AMAX2_BlockTitleLength, _CHARSET);
		$item['LongTitle'] = "{$item['Title']}\n\n${item['CreatorsF']} ${item['ManufacturerF']}";
		$item['AmazonURL'] = amaxoop2_AmazonURL($ASIN);
		$block['items'][] = $item;
		unset ($item);
		$xoopsDB->queryF("UPDATE ".$xoopsDB->prefix('amaxoop2_asins')." SET Impression = Impression + 1 WHERE ASIN ='".addslashes($ASIN)."'");
		if ($count++ >= $limit) { break; }
	}
	if ($count == 1) { return; }
	$block['Amaxoop2ModConfig'] = $Amaxoop2ModuleConfig;
	unset ($res);
	return $block;
}

function amaxoop2_show_random_edit($options) {
	$form  = _MB_AMAXOOP2_ITEMS.'&nbsp;<input type="text" name="options[]" value="'.$options[0].'" /><br />';
	$form .= _MB_AMAXOOP2_ITEMS_RECO1.'<br /><br />';
	$form .= _MB_AMAXOOP2_MAXSIZE.'&nbsp;<input type="text" name="options[]" value="'.$options[1].'" />';
	return $form;
}
?>