<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require './header.php';

$xoopsOption['template_main'] = "amax2_edit2.html";

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('amax2edit', _AMAX2_TokenLife);
//$TokenValid = $Token_handler->autoValidate('amax2edit');
$xoopsTpl->assign('xoopsModuleConfig', $xoopsModuleConfig);
$xoopsTpl->assign('ticket_hidden', $Ticket->getHtml());

//	
if (($xoopsModuleConfig['AnonEntry'] == 0) && !is_object($xoopsUser)) {
	redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}

//	
if ($lid == 0) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_PARAMETERS);
	exit();
}

//	
if (!is_object($xoopsUser)) {
	redirect_header(XOOPS_URL."/user.php", 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}

//	
if ($lid != 0) {
	$res = $xoopsDB->query("SELECT * FROM "._Amax2ItemDB_." WHERE lid = $lid");
	if ($xoopsDB->getRowsNum($res) == 1) {
		$DB_Data = $xoopsDB->fetchArray($res);
		// foreach ($DB_Data as $key => $val) { $DB_Data[$key] = $val; }
		$ASIN = $DB_Data['ASIN'];
		$cid = $DB_Data['cid'];
		$cid2 = $DB_Data['cid2'];
		$DB_Data['EntryTimeF']	= date('Y/m/d', $DB_Data['EntryTime']);
		$DB_Data['EntryYMD']	= date('Y/m/d', $DB_Data['EntryTime']);
		$DB_Data['EntryHMS']	= strftime('%T', $DB_Data['EntryTime']);
		$DB_Data['EntryWD']	= strftime('%A', $DB_Data['EntryTime']);
		$DB_Data['EntryTZ']	= strftime('%Z', $DB_Data['EntryTime']);
		$DB_Data['ExcerptF']	= $myts->htmlSpecialChars($DB_Data['Excerpt']);
		$TempClone = $DB_Data['Description'];
		$DB_Data['DescriptionF'] = $myts->displayTarea($TempClone,0,1,1,1,1);
		$DB_Data['Keywords']	= $myts->htmlSpecialChars($DB_Data['Keywords']);
	} else {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOENTRY);
		exit();
	}
}
$DB_Data['KeywordsCount'] = 0;
foreach (explode(' ', $DB_Data['Keywords']) as $key) {
	if (trim($key) != '') {
		$DB_Data['KeywordsList'][] = array('URL' => urlencode(trim($key)), 'HTML' => htmlspecialchars(trim($key)));
		$DB_Data['KeywordsCount']++;
	}
}
$xoopsTpl->assign('dat', $DB_Data);

//	
if (($DB_Data['uid'] != $uid) && !$xoopsUser->IsAdmin()) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOPERM);
	exit();
}

//	
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT * FROM "._Amax2CatDB_." WHERE cid = $cid");
	$CatData = $xoopsDB->fetchArray($res);
	if (!amaxoop2_CheckPermission(intval($CatData['gid']))) {
		redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 2, _AMAXOOP2_ERR_NOPERM);
		exit();
	}
}

//	
$item = amaxoop2_GetItemData($DB_Data['ASIN']);
$item = amaxoop2_CustomizeData($item);
//if ($xoopsModuleConfig['AdultNG'] && ($item['IsItAdult'] > 0)) {
//	$xoopsDB->query("DELETE FROM "._Amax2ItemDB_." WHERE lid = $lid");
//	$xoopsDB->query("DELETE FROM "._Amax2VoteDB_." WHERE lid = $lid");
//	xoops_comment_delete($xoopsModule->getVar('mid'), $lid);
//	redirect_header(XOOPS_URL."/modules/amaxoop2/edit.php", 3, _AMAXOOP2_EDIT_DELETED);
//}
$xoopsTpl->assign('item', $item);

//	
$Cat = array();
$res = $xoopsDB->query("SELECT cid, CTitle, gid FROM "._Amax2CatDB_." ORDER BY COrder");
while (list($db_cid, $db_CTitle, $db_gid) = $xoopsDB->fetchRow($res)){
	if (amaxoop2_CheckPermission(intval($db_gid))) {
		$Cat[] = array(	'cid' => intval($db_cid),
				'CTitle' => $myts->htmlSpecialChars($db_CTitle));
	}
	if ($db_cid == $cid) { $CTitle = $myts->htmlSpecialChars($db_CTitle); }
}
$xoopsTpl->assign('cid', $cid);
$xoopsTpl->assign('CTitle', $CTitle);
$xoopsTpl->assign('Categories', $Cat);
$xoopsTpl->assign('CategoriesCount', count($Cat));
$SubCat = array();
if ($cid != 0) {
	$res = $xoopsDB->query("SELECT cid2, CTitle2 FROM "._Amax2Cat2DB_." WHERE cid = $cid ORDER BY COrder2");
	while (list($db_cid2, $db_CTitle2) = $xoopsDB->fetchRow($res)){
		$SubCat[] = array(	'cid2' => intval($db_cid2),
					'CTitle2' => $myts->htmlSpecialChars($db_CTitle2));
		if ($db_cid2 == $cid2) { $CTitle2 = $myts->htmlSpecialChars($db_CTitle2); }
	}
}
$xoopsTpl->assign('cid2', $cid2);
$xoopsTpl->assign('CTitle2', (isset($CTitle2) ? $CTitle2 : ''));
$xoopsTpl->assign('SubCategories', $SubCat);
$xoopsTpl->assign('SubCategoriesCount', count($SubCat));

$formD = new XoopsFormDhtmlTextArea(_AMAXOOP2_DESCRIPTION, 'DescriptionText', $myts->htmlSpecialChars($DB_Data['Description']), _AMAX2_TextRowSize, _AMAX2_TextColSize);
$xoopsTpl->assign('DescArea', $formD->render());
$xoopsTpl->assign('OldDescription', $DB_Data['Description']);

$xoopsTpl->assign('lid', $lid);
$xoopsTpl->assign('uid', $uid);
$xoopsTpl->assign('uname', $uname);
$xoopsTpl->assign('ASIN', $ASIN);

$SearchIndexes = array();
foreach ($amaxoop2SearchIndexes as $key => $val) {
	$SearchIndexes[] = array('id' => $key, 'name' => $val);
}
$xoopsTpl->assign('SearchIndexes', $SearchIndexes);

$xoopsTpl->assign('ExcerptRowSize', _AMAX2_ExptRowSize);
$xoopsTpl->assign('ExcerptColSize', _AMAX2_ExptColSize);

//include './footer.php';
include XOOPS_ROOT_PATH.'/footer.php';
?>