<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once ('../../mainfile.php');
require_once ('./include/library.php');
require_once ('./include/parameters.php');

if ( file_exists(XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php') ) {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php';
} else {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/japanese/main.php';
}
$myts =& MyTextSanitizer::getInstance();

$KeyWord	= (isset($_POST['word'])	? $myts->stripSlashesGPC($_POST['word']) : '');
$SearchIndex	= (isset($_POST['index'])	? $myts->stripSlashesGPC($_POST['index']) : 'Blended');
$Page		= (isset($_POST['page'])	? intval($_POST['page']) : '1');
$AssID	= $xoopsModuleConfig['AssociateID'];
$SubID	= $xoopsModuleConfig['SubscriptionID'];

$Token_handler = new XoopsMultiTokenHandler();
$Ticket =& $Token_handler->create('entryasin', _AMAX2_TokenLife);
$TokenValid = $Token_handler->autoValidate('entryasin');
if (!$TokenValid) { $KeyWord = ''; }
$KeyWordS	= htmlspecialchars($KeyWord);
if (!preg_match('/^[A-Za-z]+$/', $SearchIndex)) { $SearchIndex = ''; }

header ('Content-Type:text/html; charset='._CHARSET);
print	'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'._LANGCODE.'" lang="'._LANGCODE.'">
<html><head><title>ASIN Search for Amaxoop2</title>
<script type="text/javascript">
<!--
function doInputASIN(Code)
{
window.opener.document.amax2form.ASIN.value=Code;
this.window.close();
return;
}
-->
</script></head>
<body bgcolor="#DCDCDC"><div align="center">
<form action="./entryasin.php" method="post">
<input type="text" size="24" name="word" value="'.$KeyWordS.'" />
<input type="HIDDEN" name="page" value="1" /> : <select name="index">
';

foreach ($amaxoop2SearchIndexes as $key => $value) {
	if ($key == $SearchIndex) {
		print '<option value="'.$key.'" selected="selected">'.$value.'</option>';
	} else {
		print '<option value="'.$key.'">'.$value.'</option>';
	}
}
print '</select><input type="submit" value="SEARCH">'.$Ticket->getHtml().'</form>';

if ($KeyWord != '') {
	if	(preg_match('/^[\d]{10}$/', $KeyWord)) { $awsxml = amaxoop2_SearchASIN($KeyWord); }
	elseif ((preg_match('/^[\d]{8}$/', $KeyWord)) || (preg_match('/^[\d]{13}$/', $KeyWord))) { $awsxml = amaxoop2_SearchEAN($KeyWord, $SearchIndex); }
	elseif (preg_match('/^[\d]{12}$/', $KeyWord))	{ $awsxml = amaxoop2_SearchUPC($KeyWord, $SearchIndex); }
	else { $AMResult = amaxoop2_SearchKeyWord($KeyWord, $SearchIndex, $Page); }
	$MyParser = new amaxoop2_Parser();
	$AMResult = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMResult));
	if (!isset($AMResult['TotalPages'])) { $AMResult['TotalPages'] = 0; }
	if (!isset($AMResult['Err']) || ($AMResult['Err'] == 0)) {
		if (1 < $Page) {
			print	'<form action="./entryasin.php" method="post" style="display:inline;">'.
				'<input type="hidden" name="word" value="'.$KeyWordS.'" />'.
				'<input type="hidden" name="page" value="'.($Page - 1).'" />'.
				'<input type="hidden" name="index" value="'.$SearchIndex.'" />'.
				'<input type="submit" value="PREV &lt;-">'.$Ticket->getHtml().
				'</form>';
		}
		print	'&nbsp;Page '.$Page.' / '.$AMResult['TotalPages'].'&nbsp;';
		if ($Page < $AMResult['TotalPages']) {
			print	'<form action="./entryasin.php" method="post" style="display:inline;">'.
				'<input type="hidden" name="word" value="'.$KeyWordS.'" />'.
				'<input type="hidden" name="page" value="'.($Page + 1).'" />'.
				'<input type="hidden" name="index" value="'.$SearchIndex.'" />'.
				'<input type="submit" value="-&gt; NEXT">'.$Ticket->getHtml().
				'</form>';
		}
		print '<br /><br /><table>';
		$C = ' bgcolor="#DFEEEE"';
		foreach ($AMResult['Items'] as $item) {
			if ($item['ASIN'] != '') {
				$x = $item['ASIN'];
				$l = $item['DetailPageURL'];
				$t = htmlspecialchars($item['Title']);
				$a = htmlspecialchars(preg_replace('/\([^\)]*\)/', '', $item['Creators']));
				if (isset($item['Manufacturer']) &&  ($item['Manufacturer']!= ''))
					{ $a .= ' ('.htmlspecialchars($item['Manufacturer']).')'; }
				if (isset($item['FormattedPrice']) &&  ($item['FormattedPrice']!= ''))
					{ $p = htmlspecialchars($item['FormattedPrice']); }
				else { $p = _AMAXOOP2_EDIT_NOFP; }
				if (isset($item['Availability']) &&  ($item['Availability']!= ''))
					{ $v = htmlspecialchars($item['Availability']); }
				else { $v = _AMAXOOP2_EDIT_NOAV; }
				if (!isset($item['MediumImageURL'])) { $item['MediumImageURL'] = _AMAX2_NoImageURL; }
				$ThubnailURL = amaxoop2_ThumbnailURL($item['MediumImageURL']);
				print "<tr$C><td rowspan=\"4\" align=\"center\"><a href=\"$l\" target=\"amaxoop\">".
				      "<img src=\"$ThubnailURL\" alt=\"ASIN:$x\" border=\"0\"></a></td>".
				      "<td><b>$t</b></td></tr>".
				      "<tr$C><td align=\"right\">$a</td></tr>".
				      "<tr$C><td>".
				      "<input type=\"submit\" value=\"$x\" onclick=\"doInputASIN('$x')\" />";
				if ($item['IsItAdult'] > 0) {
					print '<br /><font color="red">! ADULT !</font>';
				}
				print "</td></tr>".
				      "<tr$C><td>$p&nbsp;/&nbsp;$v</td></tr>";
			}
			$C = (($C == ' bgcolor="#DFEEEE"') ? ' bgcolor="#EEEEDF"' : ' bgcolor="#DFEEEE"');
		}
		print '</table><br />';
		if (1 < $Page) {
			print	'<form action="./entryasin.php" method="post" style="display:inline;">'.
				'<input type="hidden" name="word" value="'.$KeyWordS.'" />'.
				'<input type="hidden" name="page" value="'.($Page - 1).'" />'.
				'<input type="hidden" name="index" value="'.$SearchIndex.'" />'.
				'<input type="submit" value="PREV &lt;-">'.$Ticket->getHtml().
				'</form>';
		}
		print	'&nbsp;Page '.$Page.' / '.$AMResult['TotalPages'].'&nbsp;';
		if ($Page < $AMResult['TotalPages']) {
			print	'<form action="./entryasin.php" method="post" style="display:inline;">'.
				'<input type="hidden" name="word" value="'.$KeyWordS.'" />'.
				'<input type="hidden" name="page" value="'.($Page + 1).'" />'.
				'<input type="hidden" name="index" value="'.$SearchIndex.'" />'.
				'<input type="submit" value="-&gt; NEXT">'.$Ticket->getHtml().
				'</form>';
		}
	} else {
		print $AMResult['ErrDescription'];
	}
}
print '</div></body></html>';
?>