<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //
//
// xoops_code enhancement
//
// [amaxoop ASIN=XXXXXXXXX image=(thumbnail|small|medium|large|[\d]+)]
//
// Set this code (6 lines) into '&displayTarea' function of 'module.textsaniyizer.php'
/*
		if ($xcode != 0) {
			if (preg_match('/\[amaxoop/', $text)) {
				include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/amax2_xcode_decode.php';
				$text = amax2_xcode_decode($text);
			}
		}
*/
if (!defined('XOOPS_ROOT_PATH')) { exit(); }

function amax2_xcode_decode ($str) {
	if (mb_ereg('^(.*)(\[amaxoop.[\s]+[A-Za-z0-9=\s]+\]?)(.*)$', $str, $m)) {
		$str =amax2_xcode_decode($m[1]).amax2_xcode_decode2($m[2]).$m[3];
	}
	return $str;
}

function amax2_xcode_decode2 ($str) {
	require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/library.php';
	require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parameters.php';
	if (!amaxoop2_ModuleAvailabirity('amaxoop2')) {
		return $str;
	}
	$amaxoopModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
	if (preg_match('/ASIN=([A-Z0-9]+)/i', $str, $m)) { $ASIN = $m[1]; }
	if (preg_match('/image=([A-Za-z0-9]+)/i', $str, $m)) { $IMG = strtoupper($m[1]); }
	if (!isset($ASIN)) { return ''; }
	$AMResult = amaxoop2_SearchASIN($ASIN);
	$MyParser = new amaxoop2_Parser();
	$Result = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMResult));
	if (isset($Result['Error']) && $Result['Error']) { return ''; }
	$item = $Result['Items'][0];
	unset ($AMResult, $Result);
	amaxoop2_UpdateItemDB($item);
	$item = amaxoop2_CustomizeData($item);
	if	(!isset($IMG)) { $IMG = ''; }
	elseif	($IMG == 'SMALL') { $IMG = 'SmallImageURL'; }
	elseif	($IMG == 'MEDIUM') { $IMG = 'MediumImageURL'; }
	elseif	($IMG == 'LARGE') { $IMG = 'LargeImageURL'; }
	elseif	(preg_match('/^[\d]+$/', $IMG)) {
		$item['MyThumbnailURL'] = amaxoop2_ThumbnailURL($item['MediumImageURL'], $IMG);
		$IMG = 'MyThumbnailURL';
	} else { $IMG = 'ThumbnailURL'; }
	if ($amaxoopModuleConfig['UseAmaxo'] == 0) {
		$href = amaxoop2_AmazonLink($ASIN, $amaxoopModuleConfig['AssociateID']);
		$target = 'amaxoop';
	} else {
		$href = XOOPS_URL."/modules/amaxoop2/amaxo.php?ASIN=$ASIN";
		$target = '_top';
	}
	if ($IMG == '') {
		$ret =	'<a href="'.$href.'" title="Amazon.co.jp - '.htmlspecialchars($item['FormattedPrice'].
			' - '.$item['Availability']).'" target="'.$target.'">'.htmlspecialchars($item['Title']).'</a>';
	} else {
		$ret =	'<a href="'.$href.'" title="'.htmlspecialchars($item['Title']).'" target="'.$target.'">'.
			'<img src="'.$item[$IMG].'" alt="'.htmlspecialchars($item['Title']).'" /></a>';
	}
	return $ret;
}
?>