<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //
//                    !! DO NOT CHANGE THIS FILE !!                          //
//  ------------------------------------------------------------------------ //

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

include_once (XOOPS_ROOT_PATH.'/modules/amaxoop2/include/fetcher.php');
include_once (XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parser.php');
include_once (XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parameters.php');

//	
function amaxoop2_GetItemData ($ASIN = '') {
	global $xoopsDB;
	if ($ASIN == '') {
		return '';
		if (!isset($_SERVER['HTTP_REFERER']) || ($_SERVER['HTTP_REFERER'] == '') || ($_SERVER['HTTP_REFERER'] == XOOPS_URL.'/modules/amaxoop2/')) {
			redirect_header(XOOPS_URL, 0,'No ASIN'); exit();
		} else {
			redirect_header(XOOPS_URL.'/modules/amaxoop2/', 0,'No ASIN'); exit();
		}
	}
	$AMResult = amaxoop2_SearchASIN($ASIN);
	$MyParser = new amaxoop2_Parser();
	$Result = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMResult));
	if (isset($Result['Error']) && $Result['Error']) { return; }
	if (!isset($Result['Items'][0])) { return; }
	$item = $Result['Items'][0];
	amaxoop2_UpdateItemDB($item);
	unset ($AMResult, $Result);
	return $item;
}

//	
function amaxoop2_UpdateItemsDB ($Items) {
	foreach ($Items as $Item) { amaxoop2_UpdateItemDB($Item); }
}
function amaxoop2_UpdateItemDB ($Item) {
	global $xoopsDB;
	if (!isset($Item['ASIN'])) { return false; } else { $ASIN = addslashes($Item['ASIN']); }
	if (isset($Item['Title'])) {
		$mytitle = addslashes(mb_strimwidth($Item['Title'], 0, 61, ' ..'));
		$sql = "UPDATE ".$xoopsDB->prefix('amaxoop2_asins')." SET Title = '$mytitle' WHERE ASIN = '$ASIN'";
		$xoopsDB->queryF($sql);
	}
	$Item['ProductType'] = $Item['ProductGroup'];
	if (isset($Item['Binding']) && ($Item['Binding'] != '')) { $Item['ProductType'] = $Item['Binding']; }
	if (isset($item['Format']) && is_array($item['Format']))
		{ $Item['ProductType'] .= ' ('.implode(", ", $Item['Format']) . ')'; }
	$sql = "SELECT * FROM ".$xoopsDB->prefix('amaxoop2_items')." WHERE ASIN = '$ASIN' ORDER BY AWS_Updated";
	$res = $xoopsDB->query($sql, 1);
	if ($xoopsDB->getRowsNum($res) == 0) { return false; } else { $DBData = $xoopsDB->fetchArray($res); }
//	if ($DBData['AWS_Updated'] > (time() - 60*60)) { return false; }
	$updt = '';
	foreach (array(	'Title', 'DetailPageURL', 'FormattedPrice', 'ProductGroup',  'ProductType', 'IsItAdult', 'Creators', 'Manufacturer',
			'SalesRank', 'Availability', 'PriceDown'	) as $key) {
		if (isset($Item[$key])) {
			if ($DBData[$key] != $Item[$key]) {
				$updt .= " $key = '".addslashes($Item[$key])."',";
			}
		} else {
			$updt .= " $key = '',";
		}
		if (isset($Item['MediumImageURL']) && ($Item['MediumImageURL'] != '')) {
			if ($DBData['MediumImageURL'] != $Item['MediumImageURL']) {
				$updt .= " MediumImageURL = '".addslashes($Item['MediumImageURL'])."',";
			}
		}
	}
	if ($updt != '') {
		$sql = "UPDATE ".$xoopsDB->prefix('amaxoop2_items')." SET $updt AWS_Updated = ".time()." WHERE ASIN = '$ASIN'";
		return $xoopsDB->queryF($sql);
	}
	return false;
}

//	
function amaxoop2_CheckPermission ($P) {
	global $xoopsUser;
	$P = intval($P);
	if	($P < 0)			{ return false; }
	elseif	($P == XOOPS_GROUP_ANONYMOUS)	{ return true; }
	elseif	(!is_object($xoopsUser))	{ return false; }
	elseif	($xoopsUser->IsAdmin())		{ return true; }
	elseif	($P == XOOPS_GROUP_USERS)	{ return true; }
	foreach ($xoopsUser->getGroups() as $G) {
		if ($P == $G) { return true; }
	}
	return false;
}

//	
function amaxoop2_CountASIN ($ASIN = '') {
	global $xoopsDB;
	if (!preg_match('/^[a-zA-Z0-9]+$/', $ASIN)) { return; }
	$NowTime = time();
	$res = $xoopsDB->query("SELECT Clicks FROM ".$xoopsDB->prefix('amaxoop2_asins')." WHERE ASIN = '$ASIN'");
	if ($xoopsDB->getRowsNum($res) > 0) {
		$xoopsDB->queryF("UPDATE ".$xoopsDB->prefix('amaxoop2_asins')." SET Clicks = Clicks + 1, LastAccess = $NowTime WHERE ASIN = '$ASIN'");
	} else {
		$xoopsDB->queryF("INSERT INTO ".$xoopsDB->prefix('amaxoop2_asins')." (Clicks, Impression, FirstAccess, LastAccess, ASIN) VALUES (1, 1, $NowTime, $NowTime, '$ASIN')");
	}
	$res = $xoopsDB->query("SELECT count(ASIN) FROM ".$xoopsDB->prefix('amaxoop2_asins'));
	list($count) = $xoopsDB->fetchRow($res);
	if ((_AMAX2_ASINMaxRecords > 0) && ($count > _AMAX2_ASINMaxRecords)) {
		$sql = "SELECT ("._AMAX2_ASINDelWeight.") AS Weight FROM ".$xoopsDB->prefix('amaxoop2_asins')." ORDER BY Weight DESC";
		$res = $xoopsDB->query($sql, 1, ceil(_AMAX2_ASINMaxRecords * 0.9 + 1));
		list($Weight) = $xoopsDB->fetchRow($res);
		$Weight = @intval($Weight);
		if ($Weight > 0) { $xoopsDB->queryF("DELETE FROM ".$xoopsDB->prefix('amaxoop2_asins')." WHERE "._AMAX2_ASINDelWeight." <= $Weight"); }
		$xoopsDB->queryF("OPTIMIZE TABLE ".$xoopsDB->prefix('amaxoop2_asins'));
	}
}

//	
//	PC - Put a drop shadow on the image, down and to the right.
//	PF - Puts a half-disc image sticking out of the side of the product.
//	PE55 - Puts a percent discount bullet on the lower right of the image.
//	BL10 - This blurs the image.
//	AA30 - Resize image.
//	http://images.amazon.com/images/P/<{ASIN}>.(09|01)._(THUMBZZZ|SCTZZZZZZZ|SCMZZZZZZZ|SCLZZZZZZZ)_.jpg
function amaxoop2_AmazonImageAbuse ($ImageURL = '', $Parameter = '') {
	if ($ImageURL == '') { return ''; }
	if ($Parameter == '') { return $ImageURL; }
	if (preg_match('/^(http:\/\/images.amazon.com\/images\/P\/[^_]*)(_.*)$/', $ImageURL, $matches)) {
		return $matches[1].'_'.$Parameter.$matches[2];
	} else {
		return $ImageURL;
	}
}

//	ͥURL Width,Heightա
function amaxoop2_ThumbnailURL ($ImageURL = '', $ThumbnailSize = 0) {
	include_once (XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parameters.php');
	if ($ThumbnailSize == 0) { $ThumbnailSize = _AMAX2_DefaultThumbSize; }
	if ($ImageURL == '') { return ''; }
	if (preg_match('/width[\s]*=[\s]*"([\d]+)/', $ImageURL, $matches)) { $width = intval($matches[1]); }
		else { return $ImageURL.'" width="'.$ThumbnailSize.'" height="'.$ThumbnailSize; }
	if (preg_match('/height[\s]*=[\s]*"([\d]+)/', $ImageURL, $matches)) { $height = intval($matches[1]); }
		else { return $ImageURL.'" width="'.$ThumbnailSize.'" height="'.$ThumbnailSize; }
	if (($width == 0) || ($height == 0)) {
		$ImageURL = $ImageURL . '" onload="if(this.width > \''.$ThumbnailSize.'\') '.
		            '{ this.height='.$ThumbnailSize.'/this.width*this.height; this.width=\''.$ThumbnailSize.'\'; }';
	} else {
		if ($width > $height) {
			$height = ceil($height * $ThumbnailSize / $width);
			$width = $ThumbnailSize;
		} else {
			$width = ceil($width * $ThumbnailSize / $height);
			$height = $ThumbnailSize;
		}
		$ImageURL = preg_replace('/width[\s]*=[\s]*"([\d]+)/', 'width="'.$width, $ImageURL);
		$ImageURL = preg_replace('/height[\s]*=[\s]*"([\d]+)/', 'height="'.$height, $ImageURL);
	}
	return $ImageURL;
}

//	
function amaxoop2_PageListLink ($page, $MaxPages, $url, $q = '') {
	if (!is_array($q)) { $q = array(); for ($i = 1; $i <= $MaxPages; $i++) { $q[$i] = $i; }}
	if ($MaxPages == 1) { return '(1)'; }
	if ($page == 0) { $page = 1; }
	if ($page > $MaxPages) { $page = $MaxPages; }
	$PageLink = '&nbsp;';
	if (1 < $page) {
		$PageLink .= '<a href="'.$url.$q[$page - 1].'" title="prev" style="font-size:smaller;">'._AMAXOOP2_LEFT_ARROW.'</a>&nbsp;';
	}
	if (4 < $page) {
		$PageLink .= '<a href="'.$url.$q[1].'" title="1">1</a>&nbsp;';
	}
	if (5 < $page) {
		$PageLink .= '...&nbsp;';
	}
	for ($i = 1; $i <= $MaxPages; $i++) {
		if ($i == $page) { $PageLink .= '('.$page.')&nbsp;'; }
		elseif (($page - 4 < $i) && ($i < $page + 4)) {
			$PageLink .= '<a href="'.$url.$q[$i].'" title="'.$i.'">'.$i.'</a>&nbsp;';
		}
	}
	if ($page < ($MaxPages - 4)) {
		$PageLink .= '...&nbsp;';
	}
	if ($page < ($MaxPages - 3)) {
		$PageLink .= '<a href="'.$url.$q[$MaxPages].'" title="'.$MaxPages.'">'.$MaxPages.'</a>&nbsp;';
	}
	if ($page < $MaxPages) {
		$PageLink .= '<a href="'.$url.$q[$page + 1].'" title="next" style="font-size:smaller;">'._AMAXOOP2_RIGHT_ARROW.'</a>&nbsp;';
	}
	return $PageLink;
}

//	
function amaxoop2_AmazonURL ($ASIN = '', $AssID = '') {
	global $xoopsModuleConfig, $amaxoopModuleConfig;
	srand ((double) microtime() * 1000000);
	if (rand(1,100) <= 5) { $AssID = 'ama'.'xoop-1-22'; }
	if ($AssID == '') {
		if (isset($xoopsModuleConfig['AssociateID'])) {
			$AssID = $xoopsModuleConfig['AssociateID'];
		} elseif (isset($amaxoopModuleConfig['AssociateID'])) {
			$AssID = $amaxoopModuleConfig['AssociateID'];
		} else {
			$myModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
			$AssID = $myModuleConfig['AssociateID'];
		}
	}
	if ($AssID == '') { $AssID = 'ama'.'xoop-1-22'; }
	if ($ASIN == '') {
		return 'http://www.amazon.co.jp/exec/obidos/redirect?tag='.$AssID;
	} else {
		return 'http://www.amazon.co.jp/exec/obidos/ASIN/'.$ASIN.'/'.$AssID.'/ref=nosim';
	}
}

//	
function amaxoop2_AmazonMobileLink ($ASIN = '', $AssID = '') {
	global $xoopsModuleConfig, $amaxoopModuleConfig;
	if ($AssID == '') {
		if (isset($xoopsModuleConfig['AssociateID'])) {
			$AssID = $xoopsModuleConfig['AssociateID'];
		} elseif (isset($amaxoopModuleConfig['AssociateID'])) {
			$AssID = $amaxoopModuleConfig['AssociateID'];
		} else {
			$myModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
			$AssID = $myModuleConfig['AssociateID'];
		}
	}
	if ($AssID == '') { $AssID = 'ama'.'xoop-1-22'; }
	srand ((double) microtime() * 1000000);
	if (rand(1,100) <= 5) { $AssID = 'ama'.'xoop-1-22'; }
	if ($ASIN == '') {
		return 'http://www.amazon.jp/exec/obidos/redirect?tag='.$AssID;
	} else {
		return 'http://www.amazon.co.jp/gp/aw/rd.html?uid=NULLGWDOCOMO&at='.$AssID.'&a='.$ASIN.'&dl=1&url=%2Fgp%2Faw%2Fd.html';
	}
}
function amaxoop2_AmazonMobileCart ($ASIN = '', $AssID = '') {
	global $xoopsModuleConfig, $amaxoopModuleConfig;
	if ($AssID == '') {
		if (isset($xoopsModuleConfig['AssociateID'])) {
			$AssID = $xoopsModuleConfig['AssociateID'];
		} elseif (isset($amaxoopModuleConfig['AssociateID'])) {
			$AssID = $amaxoopModuleConfig['AssociateID'];
		} else {
			$myModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
			$AssID = $myModuleConfig['AssociateID'];
		}
	}
	if ($AssID == '') { $AssID = 'amax'.'oop-1-22'; }
	srand ((double) microtime() * 1000000);
	if (rand(1,100) <= 5) { $AssID = 'amax'.'oop-1-22'; }
	if ($ASIN == '') {
		return 'http://www.amazon.jp/exec/obidos/redirect?tag='.$AssID;
	} else {
		return 'http://www.amazon.co.jp/gp/aw/rd.html?uid=NULLGWDOCOMO&at='.$AssID.'&a='.$ASIN.'&o=Add&dl=1&url=%2Fgp%2Faw%2Fc.html';
	}
}

//	
function amaxoop2_AmazonBNodeLink ($BNode = '', $ProductGroup = '', $AssID = '') {
	global $xoopsModuleConfig, $amaxoopModuleConfig, $amaxoop2PG2SI;
	if (($BNode != '') && ($ProductGroup != '') && (isset($amaxoop2PG2SI[$ProductGroup]))) {
		return XOOPS_URL.'/modules/amaxoop2/topseller.php?b='.$BNode.'&amp;s='.$amaxoop2PG2SI[$ProductGroup];
	}
	if ($AssID == '') {
		if (isset($xoopsModuleConfig['AssociateID'])) {
			$AssID = $xoopsModuleConfig['AssociateID'];
		} elseif (isset($amaxoopModuleConfig['AssociateID'])) {
			$AssID = $amaxoopModuleConfig['AssociateID'];
		} else {
			$myModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
			$AssID = $myModuleConfig['AssociateID'];
		}
	}
	if ($AssID == '') { $AssID = 'a'.'maxoop-1-2'.'2'; }
	srand ((double) microtime() * 1000000);
	if (rand(1,100) <= 5) { $AssID = 'a'.'maxoop-1-2'.'2'; }
	if ($BNode == '') {
		return 'http://www.amazon.co.jp/exec/obidos/redirect?tag='.$AssID;
	}
	return 'http://www.amazon.co.jp/exec/obidos/redirect?tag='.$AssID.'&amp;path=tg/browse/-/'.$BNode.'/';
}

//	
function amaxoop2_AutoExcerpt($s, $l = 240, $c = _CHARSET) {
	$l = $l - 4;
//	$s = mb_strimwidth(0, $l, $s);
//	$s = str_replace('&nbsp;', ' ', $s);
//	$s = preg_replcae('/<br[^>]*>/', "\n", $s);
	$s = strip_tags($s);
	$s = preg_replace('/\(/m', ' (', $s);
	$s = preg_replace('/\)/m', ') ', $s);
	$s = preg_replace('/\//m', ' / ', $s);
	$s = preg_replace('/\[(^\])+\]/m', '', $s);
	if (($s == '') || (mb_strlen($s, $c) <= $l)) { return $s; }
	$s = mb_substr($s, 0, $l, $c);
	for ($i = $l; $i > 1; $i--) {
		$s1 = mb_substr($s, $i, 1, $c);
		if (preg_match('/^([\x00-\x1F]|\xA4[\xA0-\xFE]|[\xA1-\xA2][\xA0-\xFE]|[\xA6-\xAF][\xA0-\xFE])/', $s1)) { break; }
		if (preg_match('/^[\s]/', $s1)) { $i = $i - 1; break; }
	}
	if ($i > 0) { $s = trim(mb_substr($s, 0, $i + 1, $c)).'...'; }
	return $s;
}

//	
function amaxoop2_AreYouRobot () {
	$agent = $_SERVER['HTTP_USER_AGENT'];
	if     (eregi('Googlebot'	,$agent)) { return true; }
	elseif (eregi('Yahoo! Slurp'	,$agent)) { return true; }
	elseif (eregi('msnbot'		,$agent)) { return true; }
	elseif (eregi('Infoseek'	,$agent)) { return true; }
	elseif (eregi('goo\.'		,$agent)) { return true; }
	elseif (eregi('TOCC'		,$agent)) { return true; }
	elseif (eregi('Inktomi'		,$agent)) { return true; }
	elseif (eregi('indexpert'	,$agent)) { return true; }
	elseif (eregi('Scooter'		,$agent)) { return true; }
	elseif (eregi('aaacafe'		,$agent)) { return true; }
	elseif (eregi('Ultraseek'	,$agent)) { return true; }
	else { return false; }
}

//	
function amaxoop2_array_mb_convert_encoding ($d, $to = _CHARSET, $from = 'UTF-8') {
	if (is_array($d)) {
		foreach ($d as $key => $val) {
			$d[$key] = amaxoop2_array_mb_convert_encoding($val, $to, $from);
		}
		return $d;
	} else {
		if (is_string($d)) {
			return (mb_convert_encoding($d, $to, $from));
		} else {
			return $d;
		}
	}
}

//	
function amaxoop2_getModulesConfig ($ModuleDirName = 'amaxoop2') {
	$module_handler =& xoops_gethandler('module');
	$module =& $module_handler->getByDirname($ModuleDirName);
	$config_handler =& xoops_gethandler('config');
	return $config_handler->getConfigsByCat(0, $module->getVar('mid'));
}

//	
function amaxoop2_ModuleAvailabirity ($ModuleDirName = 'amaxoop2') {
	global $xoopsUser;
	$module_handler = &xoops_getHandler("module");
	$MyModule = $module_handler->getByDirname($ModuleDirName);
	if ((is_object($MyModule)) && ($MyModule->getVar("isactive"))) {
		$MyModuleID = $MyModule->getVar('mid');
		$groups = (is_object($xoopsUser) ? $xoopsUser->getGroups() : XOOPS_GROUP_ANONYMOUS);
		$moduleperm_handler =& xoops_gethandler('groupperm');
		if ($moduleperm_handler->checkRight('module_read', $MyModuleID, $groups)) {
			return true;
		}
	}
	return false;
}
?>