<?php
function amaxoop2_search($queryarray, $andor, $limit, $offset, $userid = 0){
	global $xoopsDB;
	$module_handler =& xoops_gethandler('module');
	$module =& $module_handler->getByDirname('amaxoop2');
	$config_handler =& xoops_gethandler('config');
	$Amaxoop2ModConfig = $config_handler->getConfigsByCat(0, $module->getVar('mid'));
	$myts =& MyTextSanitizer::getInstance();
	$sql1 = "SELECT lid, Title, EntryTime, uid, ASIN, Description, Excerpt FROM ".$xoopsDB->prefix("amaxoop2_items");
	$sql2 = '';
	if ( is_array($queryarray) && $count = count($queryarray) ) {
		$sql2 .=	" ((Description LIKE '%$queryarray[0]%')".
				" OR (Excerpt LIKE '%$queryarray[0]%')" .
				" OR (Title LIKE '%$queryarray[0]%')".
				" OR (Creators LIKE '%$queryarray[0]%')".
				" OR (Manufacturer LIKE '%$queryarray[0]%'))";
		for($i=1;$i<$count;$i++){
			$sql2 .=	" $andor ";
			$sql2 .=	" ((Description LIKE '%$queryarray[$i]%')".
					" OR (Excerpt LIKE '%$queryarray[$i]%')" .
					" OR (Title LIKE '%$queryarray[$i]%')".
					" OR (Creators LIKE '%$queryarray[$i]%')".
					" OR (Manufacturer LIKE '%$queryarray[$i]%'))";
		}
	}
	if ($userid != 0) {
		if ($sql2 != '') {
			$sql2 = " WHERE (uid = $userid) AND ($sql2)";
		} else {
			$sql2 = " WHERE (uid = $userid)";
		}
	} else {
		if ($sql2 != '') {
			$sql2 = " WHERE $sql2";
		} else {
			$sql2 = "";
		}
	}
	$sql = $sql1.$sql2." ORDER BY EntryTime DESC";
	$result = $xoopsDB->query($sql, $limit, $offset);
	$ret = array();
	$i = 0;
 	while($myrow = $xoopsDB->fetchArray($result)){
		$lid = intval($myrow['lid']);
		$ASIN = $myrow['ASIN'];
		if ($Amaxoop2ModConfig['BlogOrLink']) {
			$ret[$i]['link'] = "article.php?lid=".$lid;
		} else {
			if ($Amaxoop2ModConfig['UseAmaxo']) {
				$ret[$i]['link'] = "amaxo.php?ASIN=$ASIN";
			} else {
				$ret[$i]['link'] = "index.php?lid=${lid}#amaxoop2_item_${lid}";
			}
		}
		// $ret[$i]['link'] = "article.php?lid=".$myrow['lid'];
		$ret[$i]['title'] = $myts->htmlSpecialChars($myrow['Title']);;
		$ret[$i]['time'] = $myrow['EntryTime'];
		$ret[$i]['uid'] = $myrow['uid'];
		if (function_exists('search_make_context') && isset($_GET['showcontext'])) {
			// $context = $myrow['Description'];
			$context = $myrow['Excerpt'];
			$context = strip_tags($myts->displayTarea($context, 1,1,1,1,1));
			$ret[$i]['context'] = search_make_context($context,$queryarray);
		}
		$i++;
	}
	return $ret;
}
?>