<?php
if (!defined('XOOPS_ROOT_PATH')) { exit(); }

function b_sitemap_amaxoop2() {
	global $xoopsModule, $xoopsModuleConfig, $xoopsConfig;

	$db =& Database::getInstance();
	$myts =& MyTextSanitizer::getInstance();

	$mymap = array();

	$module_handler =& xoops_gethandler('module');
	$module =& $module_handler->getByDirname('amaxoop2');
	$config_handler =& xoops_gethandler('config');
	$amaxoop2_config = $config_handler->getConfigsByCat(0, $module->getVar('mid'));
	if ($amaxoop2_config['SubMenu']) {
/*
		$sql1 = "SELECT COUNT(lid), YYYYMM FROM ".$db->prefix('amaxoop2_items')." GROUP BY YYYYMM ORDER BY YYYYMM DESC";
		$res1 = $db->query($sql1);
		$i = 0;
		while (list($count, $yyyymm) = $db->fetchRow($res1)) {
			$mymap['parent'][$i]['id']	= $i;
			$mymap['parent'][$i]['url']	= "index.php?caldate$yyyymm";
			$mymap['parent'][$i]['title']	= str_replace('-', '/', $yyyymm);
			$i++;
		}
*/
	} else {
		$sql1 =	"SELECT I.cid, COUNT(I.lid), C.CTitle FROM ".$db->prefix('amaxoop2_items')." AS I".
			" LEFT OUTER JOIN ".$db->prefix('amaxoop2_categories')." AS C ON I.cid = C.cid ".
			" GROUP BY I.cid ORDER BY C.COrder";
		$res1 = $db->query($sql1);
		$i = 0;
		while (list($cid, $count, $ctitle) = $db->fetchRow($res1)) {
			$mymap['parent'][$i]['id']	= $cid;
			$mymap['parent'][$i]['url']	= "index.php?cid=$cid";
			$mymap['parent'][$i]['title']	= $myts->htmlSpecialChars($myts->stripSlashesGPC($ctitle));
			if ($xoopsModuleConfig["show_subcategoris"]) {
				$sql2 = "SELECT C.cid2, C.CTitle2, COUNT(I.lid) AS CNT FROM ".$db->prefix('amaxoop2_subcategories')." AS C".
					" LEFT OUTER JOIN ".$db->prefix('amaxoop2_items')." AS I ON C.cid2 = I.cid2".
					" WHERE C.cid = $cid GROUP BY C.cid2 ORDER BY C.Corder2";
				$res2 = $db->query($sql2);
				$j = 0;
				while (list($cid2, $CTitle2, $CNT) = $db->fetchRow($res2)) {
					if ($CNT > 0) {
						$mymap['parent'][$i]['child'][$j]['id']		= $cid2;
						$mymap['parent'][$i]['child'][$j]['title']	= htmlspecialchars($CTitle2);
						$mymap['parent'][$i]['child'][$j]['image']	= 2;
						$mymap['parent'][$i]['child'][$j]['url']	= "index.php?cid=$cid&amp;cid2=$cid2";
						$j++;
					}
				}
			}
			$i++;
		}
	}
	return $mymap;
}
?>