<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once '../../mainfile.php';

$MyTitle = mb_convert_encoding($xoopsConfig['sitename'].' - Amaxoop2', 'Shift_JIS', _CHARSET);

require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/parameters.php';
require_once XOOPS_ROOT_PATH.'/modules/amaxoop2/include/library.php';
include_once XOOPS_ROOT_PATH.'/class/template.php';
if ( file_exists(XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php') ) {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/'.$xoopsConfig['language'].'/main.php';
} else {
	include_once XOOPS_ROOT_PATH.'/modules/amaxoop2/language/japanese/main.php';
}

$amaxoopModuleConfig = amaxoop2_getModulesConfig('amaxoop2');
$AssID = $amaxoopModuleConfig['AssociateID'];
$SubID = $amaxoopModuleConfig['SubscriptionID'];

header ('Content-Type:text/html; charset=Shift_JIS');
$db =& Database::getInstance();
$myts =& MyTextSanitizer::getInstance();
$tpl = new XoopsTpl();
$tpl->xoops_setCaching(2);
$tpl->xoops_setCacheTime(0);
$tpl->assign('XOOPS_URL', XOOPS_URL);
$tpl->assign('MyTitle', $MyTitle);

$lid = (isset($_GET['lid']) ? intval($_GET['lid']) : 0);
if ($lid != 0) {
	$res = $db->query("SELECT * FROM ".$db->prefix('amaxoop2_items')." WHERE Status = 1 AND lid = $lid");
}
if (($lid == 0) || ($db->getRowsNum($res) == 0)) {
	$res = $db->query("SELECT * FROM ".$db->prefix('amaxoop2_items')." WHERE Status = 1 AND EntryTime <= ".time()." ORDER BY EntryTime DESC", 1);
}
$dat = $db->fetchArray($res);
$res = $db->query("SELECT * FROM ".$db->prefix('amaxoop2_categories')." WHERE cid = ".$dat['cid']);
$cat = $db->fetchArray($res);
if ($cat['AssID'] != '') { $AssID = $cat['AssID']; }
$dat = amaxoop2_array_mb_convert_encoding($dat, 'SJIS', _CHARSET);
$dat['Description'] = $myts->displayTarea($dat['Description'], 1, 0, 1, 1, 1);
$dat['Excerpt'] =  $myts->htmlSpecialChars($dat['Excerpt']);
$dat['EntryTimeF'] =  date('Y-m-d', $dat['EntryTime']);
$tpl->assign('dat', $dat);

$AMResult = amaxoop2_SearchASIN($dat['ASIN']);
$MyParser = new amaxoop2_Parser();
$Result = amaxoop2_array_mb_convert_encoding($MyParser->ParseXML($AMResult), 'SJIS', 'UTF-8');
$item = $Result['Items'][0];
unset ($AMResult, $Result);
$item['Title'] = htmlspecialchars($item['Title']);
$item['AmazonURLTop'] = amaxoop2_AmazonMobileLink('', $AssID);
$item['AmazonURL'] = amaxoop2_AmazonMobileLink($dat['ASIN'], $AssID);
$item['AmazonCart'] = amaxoop2_AmazonMobileCart($dat['ASIN'], $AssID);
$tpl->assign('item', $item);

$lid = $dat['lid'];
$EntryTime = $dat['EntryTime'];
$res = $db->query("SELECT lid FROM ".$db->prefix('amaxoop2_items')." WHERE Status = 1 AND EntryTime < $EntryTime ORDER BY EntryTime DESC", 1);
if ($db->getRowsNum($res) != 0) { list($Prevlid) = $db->fetchRow($res); } else { $Prevlid = 0; }
$res = $db->query("SELECT lid FROM ".$db->prefix('amaxoop2_items')." WHERE Status = 1 AND EntryTime > $EntryTime ORDER BY EntryTime ASC", 1);
if ($db->getRowsNum($res) != 0) { list($Nextlid) = $db->fetchRow($res); } else { $Nextlid = 0; }
$tpl->assign('Prevlid', $Prevlid);
$tpl->assign('Nextlid', $Nextlid);

$tpl->display(XOOPS_ROOT_PATH.'/modules/amaxoop2/templates/keitai.html');

exit();
?>