<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

if (!defined('XOOPS_ROOT_PATH')) { exit(); }

//	サーチインデックスのリスト （検索用）
$amaxoop2SearchIndexes = array(
	'Books'			=> '和書',
	'ForeignBooks'		=> '洋書',
	'Music'			=> 'ミュージック',
	'Classical'		=> 'クラシック音楽',
	'DVD'			=> 'DVD',
	'VHS'			=> 'ビデオ',
	'Electronics'		=> 'エレクトロニクス',
	'Software'		=> 'ソフトウェア',
	'VideoGames'		=> 'ゲーム',
	'Kitchen'		=> 'ホーム＆キッチン',
	'Toys'			=> 'おもちゃ＆ホビー',
	'SportingGoods'		=> 'スポーツ',
	'HealthPersonalCare'	=> 'ヘルス＆ビューティー',
	'Watches'		=> '時計',
	'Baby'			=> 'ベビー＆マタニティ',
	'Apparel'		=> 'アパレル＆シューズ',
	'Blended'		=> '全ての商品'
);

//	トップレベルのブラウズノード
$amaxoop2TopNode = array(
	'Books'			=> '465392',
	'ForeignBooks'		=> '1000',
	'Music'			=> '561956',
	'Classical'		=> '701040',
	'DVD'			=> '561958',
	'VHS'			=> '561960',
	'Electronics'		=> '3210981',
	'Software'		=> '637392',
	'VideoGames'		=> '637394',
	'Kitchen'		=> '3828871',
	'Toys'			=> '13299531',
	'SportingGoods'		=> '14304371',
	'HealthPersonalCare'	=> '160384011',
	'Watches'		=> '324025011',
	'Baby'			=> '344845011',
	'Apparel'		=> '352484011'
);

//	ProductGroupからSearchIndexを定める
$amaxoop2PG2SI = array(
	'Book'			=> 'Books',
	'Music'			=> 'Music',
	'DVD'			=> 'DVD',
	'Video'			=> 'VHS',
	'CE'			=> 'Electronics',
	'Software'		=> 'Software',
	'Video Games'		=> 'VideoGames',
	'Kitchen'		=> 'Kitchen',
	'Toy'			=> 'Toys',
	'Sports'		=> 'SportingGoods',
	'Health and Beauty'	=> 'HealthPersonalCare',
	'Watch'			=> 'Watches',
	'Baby Product'		=> 'Baby',
	'Apparel'		=> 'Apparel'
);

//	ProductGroupに対するアイコン
$amaxoop2ProductIcon = array(
	'Book'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-books.gif" width="24" height="24',
	'Music'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-music.gif" width="24" height="24',
	'DVD'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-dvd.gif" width="24" height="24',
	'Video'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-video.gif" width="24" height="24',
	'CE'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-ce.gif" width="24" height="24',
	'Software'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-software.gif" width="24" height="24',
	'Video Games'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-videogames.gif" width="24" height="24',
	'Kitchen'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-kitchen.gif" width="24" height="24',
	'Toy'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-toys.gif" width="24" height="24',
	'others'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-others.gif" width="24" height="24',
	'Sports'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-sportsstore.gif" width="24" height="24',
	'Health and Beauty'	=> XOOPS_URL.'/modules/amaxoop2/images/icon-health_and_beauty.gif" width="24" height="24',
	'Watch'			=> XOOPS_URL.'/modules/amaxoop2/images/icon-watches.gif" width="24" height="24',
	'Baby Product'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-baby.gif" width="24" height="24',
	'Apparel'		=> XOOPS_URL.'/modules/amaxoop2/images/icon-apparel.gif" width="24" height="24'
);

//	ブラウズノードのリネーム
$amaxoop2RenameNodeName = array(
	'jp-books'		=> '書籍',
	'ForeignBooks'		=> '洋書',
	'jp-books-gurupa-us-subtier' => '洋書',
	'jp-music'		=> 'ミュージック',
	'jp-lassical'		=> 'クラシック',
	'jp-dvd'		=> 'ＤＶＤ',
	'jp-video'		=> 'ビデオ',
	'jp-electronics'	=> 'エレクトロニクス',
	'jp-ce'	=> 		'エレクトロニクス',
	'jp-software'		=> 'ソフトウェア',
	'jp-videogames'		=> 'ゲーム',
	'jp-kitchen'		=> 'ホーム＆キッチン',
	'jp-toys'		=> 'おもちゃ＆ホビー',
	'jp-sportinggoods'	=> 'スポーツ',
	'jp-sports'		=> 'スポーツ',
	'jp-healthpersonalcare'	=> 'ヘルス＆ビューティー',
	'jp-health'		=> 'ヘルス＆ビューティー',
	'jp-baby'		=> 'ベビー＆マタニティ',
	'jp-used'		=> 'ユーズド',
	'jp-stores'		=> 'ストア',
	'jp-gifts'		=> 'ギフト'
);
foreach ($amaxoop2RenameNodeName as $key => $val) {
	$amaxoop2RenameNodeName[$key] = mb_convert_encoding($val, 'UTF-8', _CHARSET);
}

//	アダルト商品判断用の単語リスト正規表現（ブラウズノード名がこれらにマッチしていたらアダルトと判断）
$amaxoop2AdultCheckArray	= array('アダルト.*', '\(アダルト\)', '官能.*');
$amaxoop2AdultCheck		= '/^('.implode('|', $amaxoop2AdultCheckArray).')$/';
if (_CHARSET != 'UTF-8') {
	$amaxoop2AdultCheckUTF		= mb_convert_encoding($amaxoop2AdultCheck, 'UTF-8', _CHARSET);
} else {
	$amaxoop2AdultCheckUTF		= $amaxoop2AdultCheck;
}
if (!defined('_AMAXOOP2_ADULT_CHECK')) {
	define ('_AMAXOOP2_ADULT_CHECK', $amaxoop2AdultCheckUTF);
}

//	アダルト商品判断用の単語正規表現（FORMATがこれらにマッチしていたらアダルトと判断）
$amaxoop2AdultFormatArray	= array('アダルト', 'アダルト');
$amaxoop2AdultFormat		= '/^('.implode('|', $amaxoop2AdultFormatArray).')$/';
if (_CHARSET != 'UTF-8') {
	$amaxoop2AdultFormatUTF		= mb_convert_encoding($amaxoop2AdultFormat, 'UTF-8', _CHARSET);
} else {
	$amaxoop2AdultFormatUTF		= $amaxoop2AdultFormat;
}
if (!defined('_AMAXOOP2_ADULT_FORMAT')) {
	define ('_AMAXOOP2_ADULT_FORMAT', $amaxoop2AdultFormatUTF);
}

?>