<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once ('../../mainfile.php');

error_reporting(0);
$xoopsErrorHandler =& XoopsErrorHandler::getInstance();
$xoopsErrorHandler->activate(false);
$db =& Database::getInstance();

// For XREA users
// $nobanner = "<!--nobanner-->\n";

//	Configurations   ---   from here
//	LOGO
$mySiteLogo = XOOPS_URL.'/modules/amaxoop2/images/amaxoop2.png';
//	Configurations   ---   end here

if (function_exists('mb_http_output')) { mb_http_output('pass'); }
header ('Content-Type:text/xml; charset=utf-8');
// header('Content-type: application/rss+xml; charset=UTF-8');

$ServerTZ   = intval($xoopsConfig['server_TZ']);
if ($ServerTZ > 0) {
	$TimeZone = '+'.sprintf('%02d', $ServerTZ).':00';
} else {
	$TimeZone = '-'.sprintf('%02u', $ServerTZ).':00';
}
// $TimeZone = '+09:00';
$LF = "\n";

print	'<?xml version="1.0" encoding="UTF-8" ?>'.$LF.(isset($nobanner) ? $nobanner : '').
	'<rdf:RDF'.
	' xmlns="http://purl.org/rss/1.0/"'.
	' xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"'.
	' xmlns:dc="http://purl.org/dc/elements/1.1/"'.
	' xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"'.
	' xmlns:admin="http://webns.net/mvcb/"'.
	' xmlns:cc="http://web.resource.org/cc/"'.
	'>'.$LF.
	'<channel rdf:about="'.XOOPS_URL.'/modules/amaxoop2/">'.$LF.
	'<title>'.charconv($xoopsConfig['sitename']).' - amaxoop2</title>'.$LF.
	'<link>'.XOOPS_URL.'/modules/amaxoop2/</link>'.$LF.
	'<description>'.charconv($xoopsConfig['slogan']).' - amaxoop2</description>'.$LF.
	'<image rdf:resource="'.$mySiteLogo.'" />'.$LF.
	'<dc:language>ja</dc:language>'.$LF.
	'<dc:date>'.strftime('%Y-%m-%dT%H:%M:%S', time()).$TimeZone.'</dc:date>'.$LF.
	'<admin:generatorAgent rdf:resource="http://xoops.taquino.net/" />'.$LF;

$items_xml = array();
$item_xml  = array();
$sql = "SELECT lid, Title, Excerpt, ASIN, EntryTime FROM ".$db->prefix('amaxoop2_items')." WHERE Status = 1 ORDER BY EntryTime DESC";
$result = $db->query($sql, 10);
while (list($lid, $Title, $Excerpt, $ASIN, $EntryTime) = $db->fetchRow($result)) {
	$lid = intval($lid);
	$Title = charconv($Title);
	$Excerpt = charconv($Excerpt);
	$items_xml[] = '<rdf:li rdf:resource="'.XOOPS_URL.'/modules/amaxoop2/article.php?lid='.$lid.'" />'.$LF;
	$item_xml[]  = '<item rdf:about="'.XOOPS_URL.'/modules/amaxoop2/article.php?lid='.$lid.'">'.$LF.
	               '<title>'.$Title.'</title>'.$LF.
	               '<link>'.XOOPS_URL.'/modules/amaxoop2/article.php?lid='.$lid.'</link>'.$LF.
	               '<description>'.$Excerpt.'</description>'.$LF.
	               '<dc:creator>'.XOOPS_URL.'</dc:creator>'.$LF.
	               '<dc:publisher>'.XOOPS_URL.'</dc:publisher>'.$LF.
	               '<dc:date>'.strftime('%Y-%m-%dT%H:%M:%S', $EntryTime).$TimeZone.'</dc:date>'.$LF.
	               '<dc:identifier>ASIN:'.$ASIN.'</dc:identifier>'.$LF.
	               '<dc:contributor>http://xoops.taquino.net/</dc:contributor>'.$LF.
	               '<dc:source>Amazon.co.jp</dc:source>'.$LF.
	               '</item>'.$LF;
}
print	'<items>'.$LF.
		'<rdf:Seq>'.$LF;
foreach ($items_xml as $i) {
	print $i;
}
print	'</rdf:Seq>'.$LF.
		'</items>'.$LF.
		'</channel>'.$LF.
		'<image rdf:about="'.$mySiteLogo.'">'.$LF.
		'<title>'.charconv($xoopsConfig['sitename']).' - Amaxoop2</title>'.$LF.
		'<link>'.XOOPS_URL.'</link>'.$LF.
		'<url>'.$mySiteLogo.'</url>'.$LF.
		'</image>'.$LF;
foreach ($item_xml as $i) {
	print $i;
}

print '</rdf:RDF>'.$LF;

function charconv($source) {
	return htmlspecialchars(mb_convert_encoding(trim($source),'UTF-8', _CHARSET));
}
?>