CREATE TABLE amaxoop2_items (
	lid			int(11) unsigned NOT NULL auto_increment,
	cid			int(5) unsigned NOT NULL default 0,
	cid2			int(5) unsigned NOT NULL default 0,
	uid			int(8) unsigned NOT NULL default 0,
	uname			varchar(25) NOT NULL default '',
	ASIN			char(16) NOT NULL,
	Description		text NOT NULL default '',
	Excerpt			varchar(255) NOT NULL default '',
	Status			int(2) unsigned NOT NULL default 0,
	IP			varchar(15) NOT NULL default '',
	Keywords		varchar(255) NOT NULL default '',
	SearchIdx		varchar(255) NOT NULL default '',
	EntryTime		int(10) unsigned NOT NULL default 0,
	YYYYMM			char(7),
	Updated			int(10) unsigned NOT NULL default 0,
	Clicks			int(11) unsigned NOT NULL default 0,
	VoteAve			int(5) unsigned NOT NULL default 0,
	Comments		int(11) unsigned NOT NULL default 0,
	AWS_Updated		int(10) unsigned NOT NULL default 0,
	DetailPageURL		varchar(255) NOT NULL default 'http://www.amazon.co.jp/',
	Title			varchar(255),
	ProductGroup		varchar(16),
	SalesRank		varchar(16),
	Creators		varchar(255) NOT NULL default '',
	Manufacturer		varchar(255) NOT NULL default '',
	FormattedPrice		varchar(16) NOT NULL default '',
	Availability		varchar(255) NOT NULL default '',
	ProductType		varchar(64),
	PriceDown		int(2) NOT NULL default 0,
	IsItAdult		tinyint unsigned NOT NULL default 0,
	MediumImageURL		varchar(255) NOT NULL default '',
	PRIMARY KEY (lid)
) TYPE=MyISAM;

CREATE TABLE amaxoop2_categories (
	cid		int(5) unsigned NOT NULL auto_increment,
	gid		int(5) NOT NULL default 0,
	COrder		int(5) unsigned NOT NULL default 1,
	CTitle		varchar(255) NOT NULL default '',
	CDescription	text NOT NULL default '',
	AssID		varchar(64) NOT NULL default '',
	BuiltTime	int(10) unsigned NOT NULL default 0,
	PRIMARY KEY (cid)
) TYPE=MyISAM;

CREATE TABLE amaxoop2_subcategories (
	cid2		int(5) unsigned NOT NULL auto_increment,
	cid		int(5) NOT NULL default 0,
	COrder2		int(5) unsigned NOT NULL default 1,
	CTitle2		varchar(255) NOT NULL default '',
	BuiltTime2	int(10) unsigned NOT NULL default 0,
	PRIMARY KEY (cid2)
) TYPE=MyISAM;

CREATE TABLE amaxoop2_votedata (
	id		int(11) unsigned NOT NULL auto_increment,
	lid		int(11) unsigned NOT NULL default 0,
	uid		int(11) NOT NULL default '0',
	Rating		int(3) unsigned NOT NULL default '0',
	IP		varchar(15) NOT NULL default '',
	VotedTime	int(10) NOT NULL default '0',
	PRIMARY KEY (id)
) TYPE=MyISAM;

CREATE TABLE amaxoop2_asins (
	ASIN		char(16) NOT NULL,
	Title		varchar(64) default '',
	FirstAccess	int(10) unsigned NOT NULL default 0,
	LastAccess	int(10) unsigned NOT NULL default 0,
	Clicks		int(11) unsigned NOT NULL default 0,
	Impression	int(11) unsigned NOT NULL default 1,
	PRIMARY KEY (ASIN)
) TYPE=MyISAM;
