<?php
//  ------------------------------------------------------------------------ //
//              Amaxoop2 - Amazon Associate Module for XOOPS                 //
//                     Copyright (c) 2005 taquino                            //
//                     <http://xoops.taquino.net/>                           //
//                  This software is a 'traffic-ware'                        //
//  ------------------------------------------------------------------------ //

require_once './header.php';

$Token_handler = new XoopsMultiTokenHandler();
$TokenValid = $Token_handler->autoValidate('amax2tbping');

error_reporting(0);
$xoopsErrorHandler =& XoopsErrorHandler::getInstance();
$xoopsErrorHandler->activate(false);

$Link = XOOPS_URL.'/modules/amaxoop2/article.php?'.htmlspecialchars($myts->stripSlashesGPC($_POST['MyQUERY']));

if (_AMAX2_UseTrackBack == false) {
	redirect_header($Link, 2, _AMAXOOP2_ERR_UNABALABLE);
	exit();
}
if (($xoopsModuleConfig['AnonEntry'] == 0) && !is_object($xoopsUser)) {
	redirect_header($Link, 2, _AMAXOOP2_MUSTREGFIRST);
	exit();
}
if ($lid == 0) {
	redirect_header($Link, 2, _AMAXOOP2_ERR_PARAMETERS);
	exit();
}
if (!$TokenValid) {
	redirect_header(XOOPS_URL."/modules/amaxoop2/article.php?lid=$lid", 2, _AMAXOOP2_TICKET_ERROR);
	exit();
}

$TBURL = (isset($_POST['tb_url']) ? $_POST['tb_url'] : '');
if (!preg_match('/^http:\/\//', $TBURL)) {
	redirect_header ($Link, 2, _AMAXOOP2_ERR_PARAMETERS);
	exit();
}

$res = $xoopsDB->query("SELECT * FROM "._Amax2ItemDB_." WHERE lid = $lid");
$DB_Data = $xoopsDB->fetchArray($res);

if (($DB_Data['uid'] != $uid) && !$xoopsUser->IsAdmin()) {
	redirect_header($Link, 2, _AMAXOOP2_ERR_NOPERM);
	exit();
}

$dat = array();
foreach ($DB_Data as $key => $val) {
	$dat[$key] = htmlspecialchars($val);
}

if (!defined('_CHARSET')) { define("_CHARSET", "EUC-JP"); }

$URL		= XOOPS_URL."/modules/amaxoop2/article.php?lid=$lid";
$BlogName	= mb_convert_encoding($xoopsConfig['sitename'], 'UTF-8', _CHARSET);
$Title		= mb_convert_encoding($dat['Title'], 'UTF-8', _CHARSET);
$Excerpt	= mb_convert_encoding($dat['Excerpt'], 'UTF-8', _CHARSET);

//	Main Start Here
if (preg_match('/^([^:]*:\/\/)([^\/]+)(\/.*)/', $TBURL, $matches)) {
	$TBProtocol	= $matches[1];
	$TBServer	= $matches[2];
	$TBPath		= $matches[3];
}
if (preg_match('/^([\:]*):([\d]+)$/', $TBServer, $matches)) {
	$TBServer	= $matches[1];
	$TBPort		= $matches[2];
} else {
	$TBPort		= '80';
}

//	Post Data
$PostData =	"charset=utf-8".
		"&title=".urlencode($Title).
		"&url=".urlencode($URL).
		"&excerpt=".urlencode($Excerpt).
		"&blog_name=".urlencode($BlogName);

//	Request Header
$Request  = "POST $TBPath HTTP/1.0\r\n".
            "Host: $TBServer:$TBPort\r\n".
            "Content-Type: application/x-www-form-urlencoded\r\n".
            "Content-Length: ".strlen($PostData)."\r\n".
            "User-Agent: Amaxoop2 TrackBackPing (PHP".phpversion().")\r\n".
            "\r\n".
            $PostData;

$fp = fsockopen ($TBServer, $TBPort, $errno, $errstr, 10);
if (!$fp) {
	redirect_header ($Link, 2, 'Connecting Error'); exit;
}

//	Request !!
$Response = '';
fputs($fp, $Request);
while (!feof($fp)) { $Response .= fgets($fp, 1024); }
fclose($fp);

//	Get Response
$Response = str_replace("\r\n", "\n", $Response);
list($Header, $Response) = explode("\n\n", $Response, 2);

//	End Of Job
if (preg_match('/<error>0<\/error>/', $Response)) {
	redirect_header ($Link, 5, _AMAXOOP2_TRACKBACK_DONE."<BR /><BR />( Server:$TBServer Port:$TBPort Path:$TBPath )");
	exit;
} else {
	if (preg_match('/<message>([^<]*)<\/message>/', $Response, $matches)) {
		$Response = mb_convert_encoding($matches[1], 'EUC-JP', 'auto');
		redirect_header ($Link, 5, _AMAXOOP2_TRACKBACK_FAIL.'<BR />( '.$Response.' )');
		exit;
	} else {
		if ($Response != '') {
			$Response = mb_convert_encoding($Response, 'EUC-JP', 'UTF-8|EUC-JP|SJIS');
			redirect_header ($Link, 10, _AMAXOOP2_TRACKBACK_FAIL.'<BR />'.htmlspecialchars($Response));
			exit;
		} else {
			redirect_header ($Link, 5, _AMAXOOP2_TRACKBACK_FAIL.'<BR />( Unexpected Error )');
			exit;
		}
	}
}
?>